/* BCSPLinkage.h 
 *
 * provides DLL-Import / DLL-Export for the HCI DLL
 * 
 * MODICICATION HISTORY
 * 
 * 1.1		27:apr:01	ckl		created
 * 
 * CVS ID
 * 
 * 	$Id: //depot/bc/main/devHost/HostStack/BCSP/Generic/BCSP/BCSPLinkage.h#3 $
 *
 */

#include "common/linkage.h"

#ifdef _WIN32
#ifndef BCSP_API
#ifdef	BCSP_EXPORTS
#define BCSP_API extern LINKAGE __declspec(dllexport)
#define BCSP_API_CLASS __declspec(dllexport)
#else
#define BCSP_API extern LINKAGE __declspec(dllimport)
#define BCSP_API_CLASS __declspec(dllimport)
#endif
#endif
#else
#define BCSP_API extern LINKAGE
#define BCSP_API_CLASS
#endif
