
/****************************************************************************

	Copyright (C) Cambridge Silicon Radio April 2000

FILE
	WinEnvironment.h  -  windows environment for bcsp stack

MODIFICATION HISTORY
	1.2  27-apr-00 npm  - added boilerplating
	1.3  12-mar-01 at  -  added cleanup code
*/

#ifndef __WINENV_H
#define __WINENV_H


#ifdef	RCS_STRINGS
static  char    winenvironment_h_id[]
  = "$Id: //depot/bc/main/devHost/HostStack/BCSP/Win32/Win32UART/WinEnvironment.h#6 $";
#endif

#include "Environment.h"

#include <winbase.h>

class Win32BCSP ;

typedef struct _WinEnvironmentState
{
	CRITICAL_SECTION winCS ;
	HANDLE winSignal ;
	Win32BCSP * winStack;

} WinEnvironmentState ;

extern void initialiseEnvironment(BCSPEnvironment * current,BCSPEnvironment * newEnv,WinEnvironmentState * state,HANDLE sig,Win32BCSP *);
extern void cleanupEnvironment(WinEnvironmentState * state);


#endif