// DebugFile.cpp : implementation file
//
#include "stdafx.h"
#include "resource.h"
#include "DebugFile.h"
#include "fileFilter.h"
#include "BlueTestDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CDebugFile dialog

CDebugFile::CDebugFile(CWnd* pParent /*=NULL*/)
	: CDialog(CDebugFile::IDD, pParent)
{
	//{{AFX_DATA_INIT(CDebugFile)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT

	m_pParent = pParent;
}


void CDebugFile::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDebugFile)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CDebugFile, CDialog)
	//{{AFX_MSG_MAP(CDebugFile)
	ON_BN_CLICKED(IDC_SAVE, OnSave)
	ON_BN_CLICKED(IDC_BROWSE, OnBrowse)
//	ON_BN_CLICKED(IDGETCURRENT, OnGetcurrent)
	ON_EN_CHANGE(IDC_FILENAME, OnChangeFilename)
	ON_EN_UPDATE(IDC_FILENAME, OnChangeFilename)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

BOOL CDebugFile::OnInitDialog()
{
	CDialog::OnInitDialog();
	pOutFile = NULL;
//	SipShowIM(SIPF_OFF);

	CButton * saveButton = (CButton*)GetDlgItem ( IDC_SAVE );
	CEdit * fileEditBox  = (CEdit*)  GetDlgItem ( IDC_FILENAME );

	if (((CBlueTestDlg*)m_pParent)->debugfileon)
	{
		saveButton->SetCheck(BST_CHECKED);
	}
	else
	{
		saveButton->SetCheck(BST_UNCHECKED);
	}		

	if (((CBlueTestDlg*)m_pParent)->debugfilename)
	{
		fileEditBox->SetWindowText(((CBlueTestDlg*)m_pParent)->debugfilename);
	}


	return TRUE;  // return TRUE  unless you set the focus to a control
}


/////////////////////////////////////////////////////////////////////////////
// CDebugFile message handlers

//void CDebugFile::OnSave() 
//{
	// TODO: Add your control notification handler code here
	
//}
/////////////////////////////////////////////////////////////////////////////
// CPSSetDlg message handlers
void CDebugFile::OnBrowse() 
{
    //  Summon a windows standard filename finder, and then put the result into IDC_FILENAME

    CFileDialog * filehandler;
    CString filename = "";
    GetDlgItem(IDC_FILENAME)->GetWindowText(filename);
#ifndef _WINCE
    filehandler = new CFileDialog ( true , "txt" , filename , OFN_HIDEREADONLY | OFN_OVERWRITEPROMPT, fileFilter , this);
#else
    filehandler = new CFileDialog ( true , _T("txt") , filename , OFN_HIDEREADONLY | OFN_OVERWRITEPROMPT, ufileFilter , this);
#endif    
    int nResponse = filehandler->DoModal();
    if (nResponse == IDOK)
    {
 		GetDlgItem(IDC_FILENAME)->SetWindowText( filehandler->GetPathName() );
	}
	else if (nResponse = IDCANCEL)
	{
	// Can't think of any useful errors, so just assume the user cancelled...
    }
    return;
}
void CDebugFile::OnSave() 
{
//	(void) ::PostMessage(HWND_BROADCAST, UDM_DEBUG_FILE, NULL, NULL); // bad Adam

	((CBlueTestDlg*)m_pParent)->BoxDone();

}

void CDebugFile::OnChangeFilename() 
{
//	(void) ::PostMessage(HWND_BROADCAST, UDM_DEBUG_FILE, NULL, NULL); // bad Adam

	((CBlueTestDlg*)m_pParent)->BoxDone();

}

void CDebugFile::OnGetcurrent()
{
	CButton * saveButton = (CButton*)GetDlgItem ( IDC_SAVE );
	CEdit * fileEditBox  = (CEdit*)  GetDlgItem ( IDC_FILENAME );

	if (((CBlueTestDlg*)m_pParent)->debugfileon)
	{
		saveButton->SetCheck(BST_CHECKED);
	}
	else
	{
		saveButton->SetCheck(BST_UNCHECKED);
	}		

	if (((CBlueTestDlg*)m_pParent)->debugfilename)
	{
		fileEditBox->SetWindowText(((CBlueTestDlg*)m_pParent)->debugfilename);
	}

}

////void CDebugFile::organiseFile()
////{
////    CButton * saveButton = (CButton*)GetDlgItem ( IDC_SAVE );
////    CEdit * fileEditBox  = (CEdit*)  GetDlgItem ( IDC_FILENAME );

 ////   bool openANewFile = false , closeTheOldFile = false;

    //  0 is unchecked, 1 is checked, 2 is don't know...  only 1 counts.
////    bool toSave = ( saveButton->GetCheck() == 1 );
    //  Get the filename
 ////   CString fileName ;
////    fileEditBox->GetWindowText( fileName );

////    if ( pOutFile == NULL )
////    {
        //  We don't have a file open.
////        if ( toSave == true )
 ////       {
            //  and we want one.
////            if ( fileName.IsEmpty() )
////            {
                //  but there's no file name so we can't
 ////           }
////            else
////            {
////                openANewFile = true;
////            }
 ////       }
////        else
 ////       {
            //  and we don't want one.
            //  do nothing.
////        }
////    }
////    else
////    {
        //  So we have a file open at the moment
 ////       if ( toSave == true )
////        {
            //  and we want one open
////            if ( fileName.IsEmpty() )
////            {
                //  but the file name is blank.
                //  so stop it.
 ////               closeTheOldFile = true;
 ////           }
////            else
 ////           {
                //  what is the filename of the currently open file?
 ////               if ( fileName == pOutFile->GetFilePath() )
////                {
                    //  same file, so do nothing.
 ////               }
 ////               else
 ////               {
                    //  change the file.
 ////                   closeTheOldFile = true;
 ////                   openANewFile = true;
 ////               }
 ////           }
 ////       }
 ////       else
 ////       {
            //  but we don't want one open
 ////           closeTheOldFile = true;
 ////       }
 ////   }

////    CStdioFile * lNewFile = NULL;
////    CStdioFile * lOldFile = pOutFile;

////    if ( openANewFile == true )
 ////   {
////        lNewFile = new CStdioFile;
 ////       if ( !lNewFile->Open( fileName , CFile::modeCreate | CFile::modeWrite | CFile::shareDenyWrite ) )
////       {
 ////           //  failed to open the file.
////#ifndef _WINCE
 ////           this->MessageBox( "Could not open File","File Error",MB_ICONERROR );
////#else
////            this->MessageBox( _T("Could not open File"),_T("File Error"),MB_ICONERROR );
////#endif
 ////           delete lNewFile;
////            lNewFile = NULL;
 ////       }
////    }

////    if ( openANewFile || closeTheOldFile )
 ////   {
////        ::EnterCriticalSection ( &protectFile2 );
////        pOutFile = lNewFile;
////        ::LeaveCriticalSection ( &protectFile2 );
 ////   }

 ////   if ( closeTheOldFile == true )
 ////   {
////        lOldFile->Flush();
 ////       delete lOldFile;
 ////   }

////	(void) ::PostMessage(HWND_BROADCAST, UDM_DEBUG_FILE, NULL, NULL); // bad Adam

////}