#include "threadFunctions.h"

#include <pthread.h>
#include <stdio.h>
#include <stdlib.h>

void createThread( USEFUL_THREAD_DATA * aParameters )
{
	pthread_t threadID;

	if (pthread_create (&threadID, NULL, callMeToLaunchAThread, aParameters) != 0)
	{
		fprintf (stderr, "Failed to create thread!\n");
		exit (1);
	}

	pthread_detach (threadID);
}
