///////////////////////////////////////////////////////////////////////
//
//  FILE    : independentDebug.h
//
//            (C) CSR 2000
//
//  PURPOSE : The release version isn't working, but the debug version is...
//                       ...call in the independent debugger...
//
//  $Id: //depot/bc/main/devHost/HostStack/DeviceDriver/Win32/independentDebug.h#9 $
//
///////////////////////////////////////////////////////////////////////

#ifndef __INDEPENDENTDEBUG_H__
#define __INDEPENDENTDEBUG_H__

#include "common/types.h"
#include "common/linkage.h"
#include "hci/HCIlinkage.h"
#include "unicode/ichar.h"

class CriticalSection ;

#include <stdio.h>

class DEVICECONTROLLER_API_CLASS indebug
{
public:
    indebug();
    virtual ~indebug();

    void unload ( uint8*data , uint32 length );
    void unloadPA ( uint32 * data  );
    void unstring ( ichar * data );
private:
    FILE *indebugFile;
    CriticalSection * cs;
};

#endif
