///////////////////////////////////////////////////////////////////////
//
//  FILE   :  DCThread.h
//
//  Copyright CSR 2000
//
//  AUTHOR :  Adam Hughes
//
//  CLASS  :  DCThread
//
//  $Id: //depot/bc/main/devHost/HostStack/DeviceDriver/generic/DeviceDriver/DCThread.h#2 $
//
///////////////////////////////////////////////////////////////////////

#ifndef __DCTHREAD_H__
#define __DCTHREAD_H__

#include "thread/thread.h"
class HCIDeviceController;
class BlueCoreDeviceController;

class HCIThread : public Threadable
{
public:
    HCIThread ( HCIDeviceController * aParent ) : mParent (aParent) {}
    int ThreadFunc (); 
private:
    HCIDeviceController * mParent;
};

class BCThread : public Threadable
{
public:
    BCThread ( BlueCoreDeviceController * aParent ) : mParent (aParent) {}
    int ThreadFunc ();
private:
    BlueCoreDeviceController * mParent;
};

#endif//__DCTHREAD_H__