/* HCILinkage.h 
 *
 * provides DLL-Import / DLL-Export for the HCI DLL
 * 
 * MODICICATION HISTORY
 * 
 * 1.1		27:apr:01	ckl		created
 * 
 * CVS ID
 * 
 * 	$Id: //depot/bc/main/devHost/HostStack/DeviceDriver/generic/HCI/HCILinkage.h#3 $
 *
 */

#include "common/linkage.h"

#ifdef _WIN32
#ifndef DEVICECONTROLLER_API
#ifdef	DEVICECONTROLLER_EXPORTS
#define DEVICECONTROLLER_API extern LINKAGE __declspec(dllexport)
#define DEVICECONTROLLER_API_CLASS __declspec(dllexport)
#else
#define DEVICECONTROLLER_API extern LINKAGE __declspec(dllimport)
#define DEVICECONTROLLER_API_CLASS __declspec(dllimport)
#endif
#endif
#else
#define DEVICECONTROLLER_API extern LINKAGE
#define DEVICECONTROLLER_API_CLASS
#endif
