/******************************************************************************
**
**   File: BCPack_private.h
**
**            (C) CSR 2000
**   
**   Purpose:  pulls together all the headers and declarations needed for the
**             private channel generation and analysis functions, in BCPack.c.
**
**  $Id: //depot/bc/main/devHost/HostStack/DeviceDriver/generic/Packer/BCPacker/BCPack_private.h#5 $
**
******************************************************************************/

/****************************************************************************
**  Modification history
***************************************************************************** 
**  1.1   8:may:00	ajh	Created.
**	1.2	  2:Mar:00	dm Windows CE addition
**	1.4	  19:oct:01	ckl further CE mods
*/

#ifndef	__BCPACK_PRIVATE_H__
#define	__BCPACK_PRIVATE_H__

#ifndef _WINCE
#include	<assert.h>
#else
#include <windef.h>
#include <winbase.h>
#include <dbgapi.h>
#endif

#include	<stdlib.h>
#include 	<string.h>
#include 	<stdarg.h>

#include	"hci_private.h"
#include	"packer.h"
#include	"BCPacker.h"
#include	"BCPack_def.h"
#include        "BCPack_tables.h"

#endif	/* __HCI_PRIVATE_H__ */
