/******************************************************************************
**
**   File:	HCIPacker_Interpretation.h
**
**            (C) CSR 2000
**
**   Purpose:	#define description of what lies in a certain
**              element of an event.
**
**  $Id: //depot/bc/main/devHost/HostStack/DeviceDriver/generic/Packer/HCIPacker_Interpretation.h#3 $
**
******************************************************************************/

/****************************************************************************
**  Modification history
***************************************************************************** 
**  1.1  22:aug:00	ajh	Created.
*/

#define PA_ARRAY_LENGTH         0

#define PA_HCI_EVENT_CODE       1
#define PA_HCI_COMMAND_OPCODE   1

#define PA_HCI_EVENT_COMMAND_COMPLETE_NUM_HCI_COMMAND_PACKETS        2
#define PA_HCI_EVENT_COMMAND_COMPLETE_COMMAND_OPCODE                 3
#define PA_HCI_EVENT_COMMAND_COMPLETE_RETURN_PARAMETERS              4

#define PA_HCI_EVENT_COMMAND_STATUS_STATUS                           2
#define PA_HCI_EVENT_COMMAND_STATUS_NUM_HCI_COMMAND_PACKETS          3
#define PA_HCI_EVENT_COMMAND_STATUS_COMMAND_OPCODE                   4

#define PA_HCI_EVENT_NUMBER_OF_COMPLETED_PACKETS_NUMBER_OF_HANDLES   2
/*  Zero based array */
#define PA_HCI_EVENT_NUMBER_OF_COMPLETED_PACKETS_CONNECTION_HANDLE(i) ((2*i) + 3)
#define PA_HCI_EVENT_NUMBER_OF_COMPLETED_PACKETS_NUMBER(i)            ((2*i) + 4)
