#include "inc.h"

std::string WinPrimDebug::debug_DM_UPRIM_T(uint16_t type, void *prim)
{
	std::string monster_buffer;
	monster_buffer.reserve(500);

	ptr_flag = 0;

	switch (type)
	{
		case DM_HCI_ENABLE_DEVICE_UT_MODE_COMPLETE :
			debug_DM_HCI_STANDARD_COMMAND_COMPLETE_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_CLEAR_PARAM_CACHE_CFM :
			debug_DM_HCI_STANDARD_COMMAND_COMPLETE_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_WRITE_SCAN_ENABLE_COMPLETE :
			debug_DM_HCI_STANDARD_COMMAND_COMPLETE_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_WRITE_HOLD_MODE_ACTIVITY_COMPLETE :
			debug_DM_HCI_STANDARD_COMMAND_COMPLETE_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_WRITE_CONN_ACCEPT_TO_COMPLETE :
			debug_DM_HCI_STANDARD_COMMAND_COMPLETE_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_SET_HC_TO_HOST_FLOW_COMPLETE :
			debug_DM_HCI_STANDARD_COMMAND_COMPLETE_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_WRITE_PAGE_TO_COMPLETE :
			debug_DM_HCI_STANDARD_COMMAND_COMPLETE_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_EXIT_PERIODIC_INQUIRY_COMPLETE :
			debug_DM_HCI_STANDARD_COMMAND_COMPLETE_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_WRITE_PAGESCAN_PERIOD_MODE_COMPLETE :
			debug_DM_HCI_STANDARD_COMMAND_COMPLETE_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_CHANGE_LOCAL_NAME_COMPLETE :
			debug_DM_HCI_STANDARD_COMMAND_COMPLETE_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_WRITE_PAGESCAN_MODE_COMPLETE :
			debug_DM_HCI_STANDARD_COMMAND_COMPLETE_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_WRITE_CACHED_PAGE_MODE_CFM :
			debug_DM_HCI_STANDARD_COMMAND_COMPLETE_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_WRITE_PIN_TYPE_COMPLETE :
			debug_DM_HCI_STANDARD_COMMAND_COMPLETE_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_RESET_COMPLETE :
			debug_DM_HCI_STANDARD_COMMAND_COMPLETE_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_CREATE_NEW_UNIT_KEY_COMPLETE :
			debug_DM_HCI_STANDARD_COMMAND_COMPLETE_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_WRITE_INQUIRYSCAN_ACTIVITY_COMPLETE :
			debug_DM_HCI_STANDARD_COMMAND_COMPLETE_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_INQUIRY_CANCEL_COMPLETE :
			debug_DM_HCI_STANDARD_COMMAND_COMPLETE_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_WRITE_VOICE_SETTING_COMPLETE :
			debug_DM_HCI_STANDARD_COMMAND_COMPLETE_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_WRITE_PAGESCAN_ACTIVITY_COMPLETE :
			debug_DM_HCI_STANDARD_COMMAND_COMPLETE_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_WRITE_CURRENT_IAC_LAP_COMPLETE :
			debug_DM_HCI_STANDARD_COMMAND_COMPLETE_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_PERIODIC_INQUIRY_COMPLETE :
			debug_DM_HCI_STANDARD_COMMAND_COMPLETE_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_WRITE_CACHED_CLOCK_OFFSET_CFM :
			debug_DM_HCI_STANDARD_COMMAND_COMPLETE_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_WRITE_NUM_BCAST_TXS_COMPLETE :
			debug_DM_HCI_STANDARD_COMMAND_COMPLETE_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_WRITE_CLASS_OF_DEVICE_COMPLETE :
			debug_DM_HCI_STANDARD_COMMAND_COMPLETE_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_HOST_NUM_COMPLETED_PACKETS_COMPLETE :
			debug_DM_HCI_STANDARD_COMMAND_COMPLETE_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_AM_REGISTER_REQ :
			debug_DM_AM_REGISTER_REQ_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_AM_REGISTER_CFM :
			debug_DM_AM_REGISTER_CFM_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_ACL_REGISTER_REQ :
			debug_DM_ACL_REGISTER_REQ_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_ACL_REGISTER_CFM :
			debug_DM_ACL_REGISTER_CFM_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_ACL_CONNECT_REQ :
			debug_DM_ACL_CONNECT_REQ_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_ACL_CONNECT_CFM :
			debug_DM_ACL_CONNECT_CFM_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_ACL_CONNECT_IND :
			debug_DM_ACL_CONNECT_IND_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_ACL_DISCONNECT_REQ :
			debug_DM_ACL_DISCONNECT_REQ_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_ACL_DISCONNECT_IND :
			debug_DM_ACL_DISCONNECT_IND_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_ACL_BUFFER_SIZE_IND :
			debug_DM_ACL_BUFFER_SIZE_IND_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_ACL_DATA_SENT_IND :
			debug_DM_ACL_DATA_SENT_IND_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_CONNECTIONLESS_CH_REG_REQ :
			debug_DM_CONNECTIONLESS_CH_REG_REQ_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_SCO_INCOMING_REGISTER_REQ :
			debug_DM_SCO_INCOMING_REGISTER_REQ_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_SCO_INCOMING_UNREGISTER_REQ :
			debug_DM_SCO_INCOMING_UNREGISTER_REQ_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_SCO_CONNECT_REQ :
			debug_DM_SCO_CONNECT_REQ_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_SCO_CONNECT_CFM :
			debug_DM_SCO_CONNECT_CFM_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_SCO_CONNECT_IND :
			debug_DM_SCO_CONNECT_IND_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_SCO_CONNECT_RES :
			debug_DM_SCO_CONNECT_RES_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_SCO_DISCONNECT_REQ :
			debug_DM_SCO_DISCONNECT_REQ_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_SCO_DISCONNECT_IND :
			debug_DM_SCO_DISCONNECT_IND_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_SCO_BUFFER_SIZE_IND :
			debug_DM_SCO_BUFFER_SIZE_IND_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_SCO_DATA_SENT_IND :
			debug_DM_SCO_DATA_SENT_IND_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_SM_SET_DEFAULT_SECURITY_REQ :
			debug_DM_SM_SET_DEFAULT_SECURITY_REQ_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_SM_REGISTER_REQ :
			debug_DM_SM_REGISTER_REQ_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_SM_REGISTER_OUTGOING_REQ :
			debug_DM_SM_REGISTER_OUTGOING_REQ_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_SM_UNREGISTER_REQ :
			debug_DM_SM_UNREGISTER_REQ_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_SM_UNREGISTER_OUTGOING_REQ :
			debug_DM_SM_UNREGISTER_OUTGOING_REQ_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_SM_ACCESS_REQ :
			debug_DM_SM_ACCESS_REQ_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_SM_ACCESS_CFM :
			debug_DM_SM_ACCESS_CFM_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_SM_SET_SEC_MODE_REQ :
			debug_DM_SM_SET_SEC_MODE_REQ_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_SM_SET_SEC_MODE_CFM :
			debug_DM_SM_SET_SEC_MODE_CFM_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_SM_ADD_DEVICE_REQ :
			debug_DM_SM_ADD_DEVICE_REQ_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_SM_ADD_DEVICE_CFM :
			debug_DM_SM_ADD_DEVICE_CFM_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_SM_REMOVE_DEVICE_REQ :
			debug_DM_SM_REMOVE_DEVICE_REQ_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_SM_REMOVE_DEVICE_CFM :
			debug_DM_SM_REMOVE_DEVICE_CFM_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_SM_LINK_KEY_REQUEST_IND :
			debug_DM_SM_LINK_KEY_REQUEST_IND_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_SM_LINK_KEY_REQUEST_RES :
			debug_DM_SM_LINK_KEY_REQUEST_RES_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_SM_PIN_REQUEST_IND :
			debug_DM_SM_PIN_REQUEST_IND_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_SM_PIN_REQUEST_RES :
			debug_DM_SM_PIN_REQUEST_RES_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_SM_LINK_KEY_IND :
			debug_DM_SM_LINK_KEY_IND_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_SM_AUTHORISE_IND :
			debug_DM_SM_AUTHORISE_IND_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_SM_AUTHORISE_RES :
			debug_DM_SM_AUTHORISE_RES_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_SM_AUTHENTICATE_REQ :
			debug_DM_SM_AUTHENTICATE_REQ_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_SM_AUTHENTICATE_CFM :
			debug_DM_SM_AUTHENTICATE_CFM_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_SM_ENCRYPT_REQ :
			debug_DM_SM_ENCRYPT_REQ_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_SM_ENCRYPT_CFM :
			debug_DM_SM_ENCRYPT_CFM_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_SM_ENCRYPTION_CHANGE :
			debug_DM_SM_ENCRYPTION_CHANGE_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_SM_L2CAP_REGISTER_REQ :
			debug_DM_SM_L2CAP_REGISTER_REQ_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_SM_L2CAP_CLRX_ENABLE_IND :
			debug_DM_SM_L2CAP_CLRX_ENABLE_IND_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_WRITE_CACHED_PAGE_MODE_REQ :
			debug_DM_WRITE_CACHED_PAGE_MODE_REQ_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_WRITE_CACHED_CLOCK_OFFSET_REQ :
			debug_DM_WRITE_CACHED_CLOCK_OFFSET_REQ_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_CLEAR_PARAM_CACHE_REQ :
			debug_DM_CLEAR_PARAM_CACHE_REQ_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HC_TO_HOST_FLOW_CONTROL :
			debug_DM_HC_TO_HOST_FLOW_CONTROL_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_ACL_OPEN_REQ :
			debug_DM_ACL_OPEN_REQ_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_ACL_OPEN_CFM :
			debug_DM_ACL_OPEN_CFM_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_ACL_CLOSE_REQ :
			debug_DM_ACL_CLOSE_REQ_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_ACL_OPENED_IND :
			debug_DM_ACL_OPENED_IND_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_ACL_CLOSED_IND :
			debug_DM_ACL_CLOSED_IND_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_SET_DEFAULT_LINK_POLICY :
			debug_DM_SET_DEFAULT_LINK_POLICY_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_INQUIRY_RESULT :
			debug_DM_HCI_INQUIRY_RESULT_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_INQUIRY_COMPLETE :
			debug_DM_HCI_INQUIRY_COMPLETE_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_LINK_KEY_CHANGE_COMPLETE :
			debug_DM_HCI_LINK_KEY_CHANGE_COMPLETE_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_RETURN_LINK_KEYS :
			debug_DM_HCI_RETURN_LINK_KEYS_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_MASTER_LINK_KEY_COMPLETE :
			debug_DM_HCI_MASTER_LINK_KEY_COMPLETE_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_REMOTE_NAME_COMPLETE :
			debug_DM_HCI_REMOTE_NAME_COMPLETE_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_READ_REMOTE_FEATURES_COMPLETE :
			debug_DM_HCI_READ_REMOTE_FEATURES_COMPLETE_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_READ_REMOTE_VERSION_COMPLETE :
			debug_DM_HCI_READ_REMOTE_VERSION_COMPLETE_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_READ_CLOCK_OFFSET_COMPLETE :
			debug_DM_HCI_READ_CLOCK_OFFSET_COMPLETE_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_MODE_CHANGE_EVENT :
			debug_DM_HCI_MODE_CHANGE_EVENT_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_QOS_SETUP_CFM :
			debug_DM_HCI_QOS_SETUP_CFM_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_QOS_VIOLATION_IND :
			debug_DM_HCI_QOS_VIOLATION_IND_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_ROLE_DISCOVERY_COMPLETE :
			debug_DM_HCI_ROLE_DISCOVERY_COMPLETE_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_SWITCH_ROLE_COMPLETE :
			debug_DM_HCI_SWITCH_ROLE_COMPLETE_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_READ_LP_SETTINGS_COMPLETE :
			debug_DM_HCI_READ_LP_SETTINGS_COMPLETE_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_WRITE_LP_SETTINGS :
			debug_DM_HCI_WRITE_LP_SETTINGS_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_WRITE_LP_SETTINGS_COMPLETE :
			debug_DM_HCI_WRITE_LP_SETTINGS_COMPLETE_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_SET_EVENT_MASK_COMPLETE :
			debug_DM_HCI_SET_EVENT_MASK_COMPLETE_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_FLUSH_COMPLETE :
			debug_DM_HCI_FLUSH_COMPLETE_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_READ_PIN_TYPE_COMPLETE :
			debug_DM_HCI_READ_PIN_TYPE_COMPLETE_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_READ_STORED_LINK_KEY_COMPLETE :
			debug_DM_HCI_READ_STORED_LINK_KEY_COMPLETE_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_WRITE_STORED_LINK_KEY_COMPLETE :
			debug_DM_HCI_WRITE_STORED_LINK_KEY_COMPLETE_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_DELETE_STORED_LINK_KEY_COMPLETE :
			debug_DM_HCI_DELETE_STORED_LINK_KEY_COMPLETE_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_READ_LOCAL_NAME_COMPLETE :
			debug_DM_HCI_READ_LOCAL_NAME_COMPLETE_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_READ_CONN_ACCEPT_TO_COMPLETE :
			debug_DM_HCI_READ_CONN_ACCEPT_TO_COMPLETE_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_READ_PAGE_TO_COMPLETE :
			debug_DM_HCI_READ_PAGE_TO_COMPLETE_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_READ_SCAN_ENABLE_COMPLETE :
			debug_DM_HCI_READ_SCAN_ENABLE_COMPLETE_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_READ_PAGESCAN_ACTIVITY_COMPLETE :
			debug_DM_HCI_READ_PAGESCAN_ACTIVITY_COMPLETE_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_READ_INQUIRYSCAN_ACTIVITY_COMPLETE :
			debug_DM_HCI_READ_INQUIRYSCAN_ACTIVITY_COMPLETE_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_READ_AUTH_ENABLE_COMPLETE :
			debug_DM_HCI_READ_AUTH_ENABLE_COMPLETE_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_READ_ENCRYPTION_MODE_COMPLETE :
			debug_DM_HCI_READ_ENCRYPTION_MODE_COMPLETE_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_READ_CLASS_OF_DEVICE_COMPLETE :
			debug_DM_HCI_READ_CLASS_OF_DEVICE_COMPLETE_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_READ_VOICE_SETTING_COMPLETE :
			debug_DM_HCI_READ_VOICE_SETTING_COMPLETE_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_READ_AUTO_FLUSH_TIMEOUT_COMPLETE :
			debug_DM_HCI_READ_AUTO_FLUSH_COMPLETE_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_WRITE_AUTO_FLUSH_TIMEOUT_COMPLETE :
			debug_DM_HCI_WRITE_AUTO_FLUSH_COMPLETE_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_READ_NUM_BCAST_TXS_COMPLETE :
			debug_DM_HCI_READ_NUM_BCAST_TXS_COMPLETE_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_READ_HOLD_MODE_ACTIVITY_COMPLETE :
			debug_DM_HCI_READ_HOLD_MODE_ACTIVITY_COMPLETE_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_READ_TX_POWER_LEVEL_COMPLETE :
			debug_DM_HCI_READ_TX_POWER_LEVEL_COMPLETE_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_READ_LINK_SUPERV_TIMEOUT_COMPLETE :
			debug_DM_HCI_READ_LINK_SUPERV_TIMEOUT_COMPLETE_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_WRITE_LINK_SUPERV_TIMEOUT_COMPLETE :
			debug_DM_HCI_WRITE_LINK_SUPERV_TIMEOUT_COMPLETE_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_READ_NUM_SUPPORTED_IAC_COMPLETE :
			debug_DM_HCI_READ_NUM_SUPPORTED_IAC_COMPLETE_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_READ_CURRENT_IAC_LAP_COMPLETE :
			debug_DM_HCI_READ_CURRENT_IAC_LAP_COMPLETE_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_READ_PAGESCAN_PERIOD_MODE_COMPLETE :
			debug_DM_HCI_READ_PAGESCAN_PERIOD_MODE_COMPLETE_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_READ_PAGESCAN_MODE_COMPLETE :
			debug_DM_HCI_READ_PAGESCAN_MODE_COMPLETE_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_HARDWARE_ERROR :
			debug_DM_HCI_HARDWARE_ERROR_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_DATA_BUFFER_OVERFLOW :
			debug_DM_HCI_DATA_BUFFER_OVERFLOW_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_MAX_SLOTS_CHANGE :
			debug_DM_HCI_MAX_SLOTS_CHANGE_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_READ_LOCAL_VERSION_COMPLETE :
			debug_DM_HCI_READ_LOCAL_VERSION_COMPLETE_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_READ_LOCAL_FEATURES_COMPLETE :
			debug_DM_HCI_READ_LOCAL_FEATURES_COMPLETE_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_READ_COUNTRY_CODE_COMPLETE :
			debug_DM_HCI_READ_COUNTRY_CODE_COMPLETE_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_READ_BD_ADDR_COMPLETE :
			debug_DM_HCI_READ_BD_ADDR_COMPLETE_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_FAILED_CONTACT_COUNTER_COMPLETE :
			debug_DM_HCI_FAILED_CONTACT_COUNTER_COMPLETE_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_RESET_CONTACT_COUNTER_COMPLETE :
			debug_DM_HCI_RESET_CONTACT_COUNTER_COMPLETE_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_GET_LINK_QUALITY_COMPLETE :
			debug_DM_HCI_GET_LINK_QUALITY_COMPLETE_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_READ_RSSI_COMPLETE :
			debug_DM_HCI_READ_RSSI_COMPLETE_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_INQUIRY :
			debug_HCI_INQUIRY_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_INQUIRY_CANCEL :
			debug_HCI_INQUIRY_CANCEL_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_PERIODIC_INQUIRY :
			debug_HCI_PERIODIC_INQUIRY_MODE_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_EXIT_PERIODIC_INQUIRY :
			debug_HCI_EXIT_PERIODIC_INQUIRY_MODE_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_CHANGE_PACKET_TYPE :
			debug_HCI_CHANGE_CONN_PKT_TYPE_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_CHANGE_LINK_KEY :
			debug_HCI_CHANGE_CONN_LINK_KEY_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_MASTER_LINK_KEY :
			debug_HCI_MASTER_LINK_KEY_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_REMOTE_NAME_REQUEST :
			debug_HCI_REMOTE_NAME_REQ_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_READ_REMOTE_FEATURES :
			debug_HCI_READ_REMOTE_SUPP_FEATURES_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_READ_REMOTE_VERSION :
			debug_HCI_READ_REMOTE_VER_INFO_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_READ_CLOCK_OFFSET :
			debug_HCI_READ_CLOCK_OFFSET_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_HOLD_MODE :
			debug_HCI_HOLD_MODE_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_SNIFF_MODE :
			debug_HCI_SNIFF_MODE_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_EXIT_SNIFF_MODE :
			debug_HCI_EXIT_SNIFF_MODE_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_PARK_MODE :
			debug_HCI_PARK_MODE_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_EXIT_PARK_MODE :
			debug_HCI_EXIT_PARK_MODE_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_QOS_SETUP_REQ :
			debug_HCI_QOS_SETUP_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_ROLE_DISCOVERY :
			debug_HCI_ROLE_DISCOVERY_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_SWITCH_ROLE :
			debug_HCI_SWITCH_ROLE_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_READ_LP_SETTINGS :
			debug_HCI_READ_LINK_POLICY_SETTINGS_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_SET_EVENT_MASK :
			debug_HCI_SET_EVENT_MASK_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_RESET :
			debug_HCI_RESET_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_FLUSH :
			debug_HCI_FLUSH_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_READ_PIN_TYPE :
			debug_HCI_READ_PIN_TYPE_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_WRITE_PIN_TYPE :
			debug_HCI_WRITE_PIN_TYPE_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_CREATE_NEW_UNIT_KEY :
			debug_HCI_CREATE_NEW_UNIT_KEY_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_READ_STORED_LINK_KEY :
			debug_HCI_READ_STORED_LINK_KEY_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_WRITE_STORED_LINK_KEY :
			debug_HCI_WRITE_STORED_LINK_KEY_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_DELETE_STORED_LINK_KEY :
			debug_HCI_DELETE_STORED_LINK_KEY_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_CHANGE_LOCAL_NAME :
			debug_HCI_CHANGE_LOCAL_NAME_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_READ_LOCAL_NAME :
			debug_HCI_READ_LOCAL_NAME_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_READ_CONN_ACCEPT_TO :
			debug_HCI_READ_CONN_ACCEPT_TIMEOUT_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_WRITE_CONN_ACCEPT_TO :
			debug_HCI_WRITE_CONN_ACCEPT_TIMEOUT_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_READ_PAGE_TO :
			debug_HCI_READ_PAGE_TIMEOUT_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_WRITE_PAGE_TO :
			debug_HCI_WRITE_PAGE_TIMEOUT_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_READ_SCAN_ENABLE :
			debug_HCI_READ_SCAN_ENABLE_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_WRITE_SCAN_ENABLE :
			debug_HCI_WRITE_SCAN_ENABLE_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_READ_PAGESCAN_ACTIVITY :
			debug_HCI_READ_PAGESCAN_ACTIVITY_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_WRITE_PAGESCAN_ACTIVITY :
			debug_HCI_WRITE_PAGESCAN_ACTIVITY_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_READ_INQUIRYSCAN_ACTIVITY :
			debug_HCI_READ_INQUIRYSCAN_ACTIVITY_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_WRITE_INQUIRYSCAN_ACTIVITY :
			debug_HCI_WRITE_INQUIRYSCAN_ACTIVITY_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_READ_AUTH_ENABLE :
			debug_HCI_READ_AUTH_ENABLE_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_READ_ENCRYPTION_MODE :
			debug_HCI_READ_ENC_MODE_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_READ_CLASS_OF_DEVICE :
			debug_HCI_READ_CLASS_OF_DEVICE_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_WRITE_CLASS_OF_DEVICE :
			debug_HCI_WRITE_CLASS_OF_DEVICE_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_READ_VOICE_SETTING :
			debug_HCI_READ_VOICE_SETTING_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_WRITE_VOICE_SETTING :
			debug_HCI_WRITE_VOICE_SETTING_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_READ_AUTO_FLUSH_TIMEOUT :
			debug_HCI_READ_AUTO_FLUSH_TIMEOUT_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_WRITE_AUTO_FLUSH_TIMEOUT :
			debug_HCI_WRITE_AUTO_FLUSH_TIMEOUT_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_READ_NUM_BCAST_TXS :
			debug_HCI_READ_NUM_BCAST_RETXS_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_WRITE_NUM_BCAST_TXS :
			debug_HCI_WRITE_NUM_BCAST_RETXS_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_READ_HOLD_MODE_ACTIVITY :
			debug_HCI_READ_HOLD_MODE_ACTIVITY_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_WRITE_HOLD_MODE_ACTIVITY :
			debug_HCI_WRITE_HOLD_MODE_ACTIVITY_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_READ_TX_POWER_LEVEL :
			debug_HCI_READ_TX_POWER_LEVEL_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_READ_SCO_FLOW_CONTROL_ENABLE :
			debug_HCI_READ_SCO_FLOW_CON_ENABLE_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_WRITE_SCO_FLOW_CONTROL_ENABLE :
			debug_HCI_WRITE_SCO_FLOW_CON_ENABLE_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_SET_HC_TO_HOST_FLOW :
			debug_HCI_SET_HCTOHOST_FLOW_CONTROL_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_HOST_NUM_COMPLETED_PACKETS :
			debug_HCI_HOST_NUM_COMPLETED_PACKETS_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_READ_LINK_SUPERV_TIMEOUT :
			debug_HCI_READ_LINK_SUPERV_TIMEOUT_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_WRITE_LINK_SUPERV_TIMEOUT :
			debug_HCI_WRITE_LINK_SUPERV_TIMEOUT_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_READ_NUM_SUPPORTED_IAC :
			debug_HCI_READ_NUM_SUPPORTED_IAC_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_READ_CURRENT_IAC_LAP :
			debug_HCI_READ_CURRENT_IAC_LAP_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_WRITE_CURRENT_IAC_LAP :
			debug_HCI_WRITE_CURRENT_IAC_LAP_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_READ_PAGESCAN_PERIOD_MODE :
			debug_HCI_READ_PAGESCAN_PERIOD_MODE_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_WRITE_PAGESCAN_PERIOD_MODE :
			debug_HCI_WRITE_PAGESCAN_PERIOD_MODE_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_READ_PAGESCAN_MODE :
			debug_HCI_READ_PAGESCAN_MODE_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_WRITE_PAGESCAN_MODE :
			debug_HCI_WRITE_PAGESCAN_MODE_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_READ_LOCAL_VERSION :
			debug_HCI_READ_LOCAL_VER_INFO_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_READ_LOCAL_FEATURES :
			debug_HCI_READ_LOCAL_SUPP_FEATURES_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_READ_COUNTRY_CODE :
			debug_HCI_READ_COUNTRY_CODE_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_READ_BD_ADDR :
			debug_HCI_READ_BD_ADDR_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_FAILED_CONTACT_COUNTER :
			debug_HCI_READ_FAILED_CONTACT_COUNT_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_RESET_CONTACT_COUNTER :
			debug_HCI_RESET_FAILED_CONTACT_COUNT_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_GET_LINK_QUALITY :
			debug_HCI_GET_LINK_QUALITY_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_READ_RSSI :
			debug_HCI_READ_RSSI_T(0, (void *) prim, monster_buffer) ;
			break ;
		case DM_HCI_ENABLE_DEVICE_UT_MODE :
			debug_HCI_ENABLE_DUT_MODE_T(0, (void *) prim, monster_buffer) ;
			break ;
 
		default : 
			return no_matching_prim(0);
	}
	return monster_buffer;
}
