#include "inc.h"

std::string WinPrimDebug::debug_L2CA_UPRIM_T(uint16_t type, void *prim)
{
	std::string monster_buffer;
	monster_buffer.reserve(500);

	ptr_flag = 0;

	switch (type)
	{
		case L2CA_REGISTER_REQ :
			debug_L2CA_REGISTER_REQ_T(0, (void *) prim, monster_buffer) ;
			break ;
		case L2CA_REGISTER_CFM :
			debug_L2CA_REGISTER_CFM_T(0, (void *) prim, monster_buffer) ;
			break ;
		case L2CA_CONNECT_REQ :
			debug_L2CA_CONNECT_REQ_T(0, (void *) prim, monster_buffer) ;
			break ;
		case L2CA_CONNECT_RSP :
			debug_L2CA_CONNECT_RSP_T(0, (void *) prim, monster_buffer) ;
			break ;
		case L2CA_CONNECT_IND :
			debug_L2CA_CONNECT_IND_T(0, (void *) prim, monster_buffer) ;
			break ;
		case L2CA_CONNECT_CFM :
			debug_L2CA_CONNECT_CFM_T(0, (void *) prim, monster_buffer) ;
			break ;
		case L2CA_CONFIG_REQ :
			debug_L2CA_CONFIG_REQ_T(0, (void *) prim, monster_buffer) ;
			break ;
		case L2CA_CONFIG_RSP :
			debug_L2CA_CONFIG_RSP_T(0, (void *) prim, monster_buffer) ;
			break ;
		case L2CA_CONFIG_IND :
			debug_L2CA_CONFIG_IND_T(0, (void *) prim, monster_buffer) ;
			break ;
		case L2CA_CONFIG_CFM :
			debug_L2CA_CONFIG_CFM_T(0, (void *) prim, monster_buffer) ;
			break ;
		case L2CA_DATAWRITE_REQ :
			debug_L2CA_DATAWRITE_REQ_T(0, (void *) prim, monster_buffer) ;
			break ;
		case L2CA_DATAWRITE_CFM :
			debug_L2CA_DATAWRITE_CFM_T(0, (void *) prim, monster_buffer) ;
			break ;
		case L2CA_DATAREAD_IND :
			debug_L2CA_DATAREAD_IND_T(0, (void *) prim, monster_buffer) ;
			break ;
		case L2CA_DISCONNECT_REQ :
			debug_L2CA_DISCONNECT_REQ_T(0, (void *) prim, monster_buffer) ;
			break ;
		case L2CA_DISCONNECT_RSP :
			debug_L2CA_DISCONNECT_RSP_T(0, (void *) prim, monster_buffer) ;
			break ;
		case L2CA_DISCONNECT_IND :
			debug_L2CA_DISCONNECT_IND_T(0, (void *) prim, monster_buffer) ;
			break ;
		case L2CA_DISCONNECT_CFM :
			debug_L2CA_DISCONNECT_CFM_T(0, (void *) prim, monster_buffer) ;
			break ;
		case L2CA_TIMEOUT_IND :
			debug_L2CA_TIMEOUT_IND_T(0, (void *) prim, monster_buffer) ;
			break ;
		case L2CA_QOSVIOLATION_IND :
			debug_L2CA_QOSVIOLATION_IND_T(0, (void *) prim, monster_buffer) ;
			break ;
		case L2CA_PING_REQ :
			debug_L2CA_PING_REQ_T(0, (void *) prim, monster_buffer) ;
			break ;
		case L2CA_PING_CFM :
			debug_L2CA_PING_CFM_T(0, (void *) prim, monster_buffer) ;
			break ;
		case L2CA_GETINFO_REQ :
			debug_L2CA_GETINFO_REQ_T(0, (void *) prim, monster_buffer) ;
			break ;
		case L2CA_GETINFO_CFM :
			debug_L2CA_GETINFO_CFM_T(0, (void *) prim, monster_buffer) ;
			break ;
		case L2CA_GROUP_CREATE_REQ :
			debug_L2CA_GROUP_CREATE_REQ_T(0, (void *) prim, monster_buffer) ;
			break ;
		case L2CA_GROUP_CREATE_CFM :
			debug_L2CA_GROUP_CREATE_CFM_T(0, (void *) prim, monster_buffer) ;
			break ;
		case L2CA_GROUP_CLOSE_REQ :
			debug_L2CA_GROUP_CLOSE_REQ_T(0, (void *) prim, monster_buffer) ;
			break ;
		case L2CA_GROUP_CLOSE_CFM :
			debug_L2CA_GROUP_CLOSE_CFM_T(0, (void *) prim, monster_buffer) ;
			break ;
		case L2CA_ENABLE_CONNECTIONLESS_REQ :
			debug_L2CA_ENABLE_CONNECTIONLESS_REQ_T(0, (void *) prim, monster_buffer) ;
			break ;
		case L2CA_ENABLE_CONNECTIONLESS_CFM :
			debug_L2CA_ENABLE_CONNECTIONLESS_CFM_T(0, (void *) prim, monster_buffer) ;
			break ;
		case L2CA_DISABLE_CONNECTIONLESS_REQ :
			debug_L2CA_DISABLE_CONNECTIONLESS_REQ_T(0, (void *) prim, monster_buffer) ;
			break ;
		case L2CA_DISABLE_CONNECTIONLESS_CFM :
			debug_L2CA_DISABLE_CONNECTIONLESS_CFM_T(0, (void *) prim, monster_buffer) ;
			break ;
		case BNEP_REGISTER_REQ :
			debug_BNEP_REGISTER_REQ_T(0, (void *) prim, monster_buffer) ;
			break ;
		case BNEP_CONNECT_REQ :
			debug_BNEP_CONNECT_REQ_T(0, (void *) prim, monster_buffer) ;
			break ;
		case BNEP_CONNECT_CFM :
			debug_BNEP_CONNECT_CFM_T(0, (void *) prim, monster_buffer) ;
			break ;
		case BNEP_CONNECT_IND :
			debug_BNEP_CONNECT_IND_T(0, (void *) prim, monster_buffer) ;
			break ;
		case BNEP_LISTEN_REQ :
			debug_BNEP_LISTEN_REQ_T(0, (void *) prim, monster_buffer) ;
			break ;
		case BNEP_IGNORE_REQ :
			debug_BNEP_IGNORE_REQ_T(0, (void *) prim, monster_buffer) ;
			break ;
		case BNEP_DATA_REQ :
			debug_BNEP_DATA_REQ_T(0, (void *) prim, monster_buffer) ;
			break ;
		case BNEP_EXTENDED_DATA_REQ :
			debug_BNEP_EXTENDED_DATA_REQ_T(0, (void *) prim, monster_buffer) ;
			break ;
		case BNEP_EXTENDED_MULTICAST_DATA_REQ :
			debug_BNEP_EXTENDED_MULTICAST_DATA_REQ_T(0, (void *) prim, monster_buffer) ;
			break ;
		case BNEP_DATA_IND :
			debug_BNEP_DATA_IND_T(0, (void *) prim, monster_buffer) ;
			break ;
		case BNEP_EXTENDED_DATA_IND :
			debug_BNEP_EXTENDED_DATA_IND_T(0, (void *) prim, monster_buffer) ;
			break ;
		case BNEP_MULTICAST_DATA_IND :
			debug_BNEP_MULTICAST_DATA_IND_T(0, (void *) prim, monster_buffer) ;
			break ;
		case BNEP_LOOPBACK_DATA_IND :
			debug_BNEP_LOOPBACK_DATA_IND_T(0, (void *) prim, monster_buffer) ;
			break ;
		case BNEP_UP_IND :
			debug_BNEP_UP_IND_T(0, (void *) prim, monster_buffer) ;
			break ;
		case BNEP_DOWN_IND :
			debug_BNEP_DOWN_IND_T(0, (void *) prim, monster_buffer) ;
			break ;
		case BNEP_DISCONNECT_REQ :
			debug_BNEP_DISCONNECT_REQ_T(0, (void *) prim, monster_buffer) ;
			break ;
		case BNEP_DISCONNECT_IND :
			debug_BNEP_DISCONNECT_IND_T(0, (void *) prim, monster_buffer) ;
			break ;
		case BNEP_DEBUG_REQ :
			debug_BNEP_DEBUG_REQ_T(0, (void *) prim, monster_buffer) ;
			break ;
		case BNEP_DEBUG_IND :
			debug_BNEP_DEBUG_IND_T(0, (void *) prim, monster_buffer) ;
			break ;
		case BNEP_FLOW_REQ :
			debug_BNEP_FLOW_REQ_T(0, (void *) prim, monster_buffer) ;
			break ;
		case BNEP_FLOW_IND :
			debug_BNEP_FLOW_IND_T(0, (void *) prim, monster_buffer) ;
			break ;
		case BNEP_HCI_SWITCH_ROLE_RSP :
			debug_BNEP_HCI_SWITCH_ROLE_RSP_T(0, (void *) prim, monster_buffer) ;
			break ;
		case TCP_OPEN_REQ :
			debug_TCP_OPEN_REQ_T(0, (void *) prim, monster_buffer) ;
			break ;
		case TCP_OPEN_CFM :
			debug_TCP_OPEN_CFM_T(0, (void *) prim, monster_buffer) ;
			break ;
		case TCP_OPEN_IND :
			debug_TCP_OPEN_IND_T(0, (void *) prim, monster_buffer) ;
			break ;
		case TCP_OPEN_RSP :
			debug_TCP_OPEN_RSP_T(0, (void *) prim, monster_buffer) ;
			break ;
		case TCP_DATA_REQ :
			debug_TCP_DATA_REQ_T(0, (void *) prim, monster_buffer) ;
			break ;
		case TCP_DATA_CFM :
			debug_TCP_DATA_CFM_T(0, (void *) prim, monster_buffer) ;
			break ;
		case TCP_DATA_IND :
			debug_TCP_DATA_IND_T(0, (void *) prim, monster_buffer) ;
			break ;
		case TCP_DATA_RSP :
			debug_TCP_DATA_RSP_T(0, (void *) prim, monster_buffer) ;
			break ;
		case TCP_CLOSE_REQ :
			debug_TCP_CLOSE_REQ_T(0, (void *) prim, monster_buffer) ;
			break ;
		case TCP_CLOSE_IND :
			debug_TCP_CLOSE_IND_T(0, (void *) prim, monster_buffer) ;
			break ;
		case TCP_CLOSED_IND :
			debug_TCP_CLOSED_IND_T(0, (void *) prim, monster_buffer) ;
			break ;
		case TCP_CLOSED_RSP :
			debug_TCP_CLOSED_RSP_T(0, (void *) prim, monster_buffer) ;
			break ;
		case TCP_ABORT_REQ :
			debug_TCP_ABORT_REQ_T(0, (void *) prim, monster_buffer) ;
			break ;
		case TCP_ABORT_IND :
			debug_TCP_ABORT_IND_T(0, (void *) prim, monster_buffer) ;
			break ;
		case TCP_ABORT_RSP :
			debug_TCP_ABORT_RSP_T(0, (void *) prim, monster_buffer) ;
			break ;
		case UDP_OPEN_REQ :
			debug_UDP_OPEN_REQ_T(0, (void *) prim, monster_buffer) ;
			break ;
		case UDP_OPEN_CFM :
			debug_UDP_OPEN_CFM_T(0, (void *) prim, monster_buffer) ;
			break ;
		case UDP_LISTEN_REQ :
			debug_UDP_LISTEN_REQ_T(0, (void *) prim, monster_buffer) ;
			break ;
		case UDP_IGNORE_REQ :
			debug_UDP_IGNORE_REQ_T(0, (void *) prim, monster_buffer) ;
			break ;
		case UDP_DATA_REQ :
			debug_UDP_DATA_REQ_T(0, (void *) prim, monster_buffer) ;
			break ;
		case UDP_EXTENDED_DATA_REQ :
			debug_UDP_EXTENDED_DATA_REQ_T(0, (void *) prim, monster_buffer) ;
			break ;
		case UDP_DATA_CFM :
			debug_UDP_DATA_CFM_T(0, (void *) prim, monster_buffer) ;
			break ;
		case UDP_DATA_IND :
			debug_UDP_DATA_IND_T(0, (void *) prim, monster_buffer) ;
			break ;
		case UDP_EXTENDED_DATA_IND :
			debug_UDP_EXTENDED_DATA_IND_T(0, (void *) prim, monster_buffer) ;
			break ;
		case UDP_CLOSE_REQ :
			debug_UDP_CLOSE_REQ_T(0, (void *) prim, monster_buffer) ;
			break ;
		case UDP_CLOSE_CFM :
			debug_UDP_CLOSE_CFM_T(0, (void *) prim, monster_buffer) ;
			break ;
 
		default : 
			return no_matching_prim(0);
	}
	return monster_buffer;
}
