#ifndef SPICOMMON_H_INCLUDED
#define SPICOMMON_H_INCLUDED

#ifndef LINT
static const char SPICOMMON_h_vss_id[] = "$Id: //depot/bc/main/devHost/spi/spicommon/spicommon.h#6 $";
#endif

#ifdef __cplusplus
extern "C" {
#endif

#ifdef SPI_LIB
#define SPICOMMON_API
#else
#ifdef SPICOMMON_EXPORTS
#define SPICOMMON_API __declspec(dllexport)
#else
#define SPICOMMON_API __declspec(dllimport)
#endif
#endif

#include "spi/spifns.h"

/* transport independent, but bluecore specific commands */

SPICOMMON_API	int  spifns_xap_reset_and_stop(void);
SPICOMMON_API	int  spifns_xap_reset_and_go(void);
SPICOMMON_API	int  spifns_xap_go(void);
SPICOMMON_API	int  spifns_xap_stop (void);
SPICOMMON_API   int  spifns_update_xap_state(void);
SPICOMMON_API int spifns_write_block_verify(unsigned long address, unsigned long count, unsigned long *data);
SPICOMMON_API int spifns_read_block_verify(unsigned long address, unsigned long count, unsigned long *data);

#ifdef __cplusplus
}
#endif

#endif // SPICOMMON_H_INCLUDED

