///////////////////////////////////////////////////////////////////////
//
//  FILE   :  threadFunctions.h
//
//            (C) CSR 2000
//
//  AUTHOR :  Adam Hughes
//
//  PURPOSE:  Provide a function to create a thread running a procedure.
//
//  $Id: //depot/bc/main/devHost/HostStack/BCSP/Win32/Win32UART/threadFunctions.h#2 $
//
///////////////////////////////////////////////////////////////////////

#ifndef __THREADFUNCTIONS_H__
#define __THREADFUNCTIONS_H__

#include "common/types.h"
#include "common/bool.h"

//  data to pass
typedef struct
{
    void ( * function ) ( void * data );
    void * data ;
}
USEFUL_THREAD_DATA;

//  Create
void createThread( USEFUL_THREAD_DATA * parameters );


#ifndef _WINCE
//  Worker
CALLMETOLAUNCHATHREAD_RT callMeToLaunchAThread ( void * usefulData );
#else
//if you are using afxbeginthread you need UINT
//UINT callMeToLaunchAThread ( void * usefulData );
unsigned long __stdcall callMeToLaunchAThread ( void * usefulData );
//UINT callMeToLaunchAThread ( void * usefulData );
#endif


#endif //__THREADFUNCTIONS_H__
