///////////////////////////////////////////////////////////////////////
//
//  FILE   :  reportStrings.h
//
//  AUTHOR :  Adam Hughes
//
//  TABLE  :  reportStrings
//
//  PURPOSE:  Provide changeable strings interface.
//
///////////////////////////////////////////////////////////////////////

char * reportStrings[] =
{
    // 0
    "Radio test None %s",
    // 1
    "Radio test TXSTART %s",
    // 2
    "Radio Test RXSTART1 %s",
    // 3
    "Radio Test RXSTART2 %s",
    // 4
    "Radio Test TXDATA1 %s",
    // 5
    "Radio Test TXDATA2 %s",
    // 6
    "Radio Test TXDATA3 %s",
    // 7
    "Radio Test TXDATA4 %s",
    // 8
    "Radio Test RXDATA1 %s",
    // 9
    "Radio Test RXDATA2 %s",
    // 10
    "Radio Test Deep Sleep %s",
    // 11
    "Radio Test PCM LB %s",
    // 12
    "Radio Test SETTLE %s",
    // 13
    "Radio Test IF RESP %s",
    // 14
    "Radio Test VCOTRIM %s",
    // 15
    "Radio Test RF IQ MATCH %s",
    // 16
    "Radio Test IF IQ MATCH %s",
    // 17
    "Radio Test BUILD LUT %s",
    // 18
    "Radio Test READ LUT %s",
    // 19
    "Radio Test BIT ERR1 %s",
    // 20
    "Radio Test BIT ERR2 %s",
    // 21
    "Radio Test LOOP BACK %s",
    // 22
    "Radio Test CFG FREQ %s",
    // 23
    "Radio Test CFG PKT %s",
    // 24
    "Radio Test CFG BIT ERR %s",
    // 25
    "Radio Test RX LOOP BACK %s",
    // 26
    "Radio Test BER LOOP BACK %s",
    // 27
    "Radio Test CONFIG TX IF %s",
    // 28
    "Unrecognised Radio Test %s",
    // 29
    "Unrecognised Chip Management Request: varid %04x.",
    // 30
    "Unrecognised Chip Management Response: varid %04x.",
    // 31
    "Chip Management Notice: Chip Booted.",
    // 32
    "Chip Management Notice: Delayed Panic, %04x.",
    // 33
    "RSSI: %u.",
    // 34
    "Chip Management Notice: Fault %04x at %08x (Internal Clock), %04x times.",
    // 35
    "RXPKTSTATS: NP: %u, NGP: %u, NCP: %u, RSSI: %u,%s.",
    // 36
    "LUTENTRY[%u] = %x.",
    // 37
    "SYNTH SETTLE[%u] = %u.",
    // 38
    "FILTER RESP: [%u] = ( %u , %u ).",
    // 39
    "IQ MATCH: [%u] = ( %u , %u , %u ).",
    // 40
    "%s Period: %8u, Total: %10u.",
    // 41
    "Opening %s.",
    // 42
    "Failed to open %s.",
    // 43
    "Link has failed.",
    // 44
    "Timeout waiting for Test Response.",
    // 45
    "Building pdu failed.",
    // 46
    "Sent Command Varid %04x, parameters: %04x, %04x, %04x, %04x.",
    // 47
    "Found BC01.",
    // 48
    "Cannot find BC01.",
    // 49
    "PIO Mask: %08x",
    // 50
    "PIO Lines: %08x",
    // 51
    "Radio Test CFG UAP/LAP %s",
    // 52
    "Radio Test PCM EXT LB %s",
    // 53
    "Radio Test CFG XTAL FTRIM %s",
    // 54
    "Data for Radio Test %s incoming.  Please see Standard report.",
    // 55
    "%% Bit Error for Last Period: %5.3f",
    // 56
    "%% Bit Error in Current Cumulation: %5.3f",
    // 57
    "---------------------------------------",
    // 58
    "Statistics for current cumulation\n"
    "%BER             #Bit       #EPkt      #RPkt     #Sync    #Hdr    #CRC    #Uncorr\n",
    // 59
    "%7.4f %12u %10u %10u %10u %10u %10u %10u",
    // 60
    "%7.4f %12u %10u %10u %10u %10u %10u %10u\n",
    // 61
    "Persistent Store Access.  Key %04x.  Access %s.",
    // 62
    "Persistent Store Size returned %s.",
    // 63
    "Radio Test CFG IQ TRIM %s",
    // 64
    "Radio Test CFG ACC ERRS %s"
};

char * BitErrorReportTypes[9] =
{
    // 0
    "Bits received                    ",
    // 1
    "Bits in error                       ",
    // 2
    "Access code bit errors     ",
    // 3
    "Packets received             ",
    // 4
    "Packets expected            ",
    // 5
    "Packets w/ header error  ",
    // 6
    "Packets w/ CRC error      ",
    // 7
    "Packets w/ uncorr errors ",
    // 8
    "Sync timeouts                  "
};