#if !defined(AFX_PSSETDLG_H__C7801EE5_8FA5_11D4_BA5D_00B0D02F393A__INCLUDED_)
#define AFX_PSSETDLG_H__C7801EE5_8FA5_11D4_BA5D_00B0D02F393A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// PSSetDlg.h : header file
//

#include "CBluetestEngine.h"

typedef struct _bccmdListEntry
{
    struct _bccmdListEntry * next;
    PARAMETER_ARRAY response;
}
bccmdListEntry;

#define BLUETEST_PSSET_RESPONSE (WM_USER + 2)

/////////////////////////////////////////////////////////////////////////////
// CPSSetDlg dialog

class CPSSetDlg : public CDialog
{
// Construction
public:
	CPSSetDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CPSSetDlg)
	enum { IDD = IDD_PSSETDLG };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPSSetDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CPSSetDlg)
	afx_msg void OnRead();
	afx_msg void OnChange();
	afx_msg void OnEditupdatePskey();
	virtual BOOL OnInitDialog();
	afx_msg void OnClose();
	afx_msg void OnChangePslen();
	afx_msg void OnChangePsvalue();
	//}}AFX_MSG
        afx_msg void bccmdWaiting (WPARAM dummy, LPARAM ldummy);
	DECLARE_MESSAGE_MAP()

public:
    void setEngine( CBluetestEngine * aEngine);
    CBluetestEngine * mEngine;
    void refreshState();
    bool haveReadValue;
    static void onBCCMDResponse ( PARAMETER_ARRAY aAnswer , void * aObject);
    void processBCCMDResponse ( PARAMETER_ARRAY mAnswer );
    bool readValue ( void );
    uint16 mKey;
    uint16 mLength;

    void queueBCCMD ( PARAMETER_ARRAY aResponse );
    void readPS ( void );

    bool Carls_code_works;

    bccmdListEntry * bccmdListHead ;
    bccmdListEntry * bccmdListTail ;
    CRITICAL_SECTION protectBCCMDList ;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PSSETDLG_H__C7801EE5_8FA5_11D4_BA5D_00B0D02F393A__INCLUDED_)
