/******************************************************************************
**
**   File: hci_private.h
**
**            (C) CSR 2000
**   
**   Purpose:  pulls together all the headers and declarations needed for the
**             hci generation and analysis functions, in hci.c.
**
**  $Id: //depot/bc/main/devHost/HostStack/DeviceDriver/generic/Packer/HCIPacker/hci_private.h#5 $
**
******************************************************************************/

/****************************************************************************
**  Modification history
***************************************************************************** 
**  1.1   8:may:00	ajh	Created.
**  1.2	  2:mar:01	dm Windows CE additions
*/

#ifndef	__HCI_PRIVATE_H__
#define	__HCI_PRIVATE_H__
#ifndef _WINCE
#include	<assert.h>
#else
#include <windef.h>
#include <winbase.h>
#include <dbgapi.h>
#endif


#include	<stdlib.h>
#include 	<string.h>
#include 	<stdarg.h>

#include	"packer.h"
#include	"HCIPacker.h"
#include	"hci_def.h"
#include    "hci_tables.h"

#endif	/* __HCI_PRIVATE_H__ */
