#include "inc.h"

void * PrimConverter::conv_DM_UPRIM_T(uint8_t dir, uint16_t type, void * prim)
{
	prepareConvert((uint8_t*) xapPrim, dir) ;
	
	switch (type)
	{
		case DM_HCI_ENABLE_DEVICE_UT_MODE_COMPLETE :
			conv_DM_HCI_STANDARD_COMMAND_COMPLETE_T((DM_HCI_STANDARD_COMMAND_COMPLETE_T *) prim) ;
			break ;
		case DM_CLEAR_PARAM_CACHE_CFM :
			conv_DM_HCI_STANDARD_COMMAND_COMPLETE_T((DM_HCI_STANDARD_COMMAND_COMPLETE_T *) prim) ;
			break ;
		case DM_HCI_WRITE_SCAN_ENABLE_COMPLETE :
			conv_DM_HCI_STANDARD_COMMAND_COMPLETE_T((DM_HCI_STANDARD_COMMAND_COMPLETE_T *) prim) ;
			break ;
		case DM_HCI_WRITE_HOLD_MODE_ACTIVITY_COMPLETE :
			conv_DM_HCI_STANDARD_COMMAND_COMPLETE_T((DM_HCI_STANDARD_COMMAND_COMPLETE_T *) prim) ;
			break ;
		case DM_HCI_WRITE_CONN_ACCEPT_TO_COMPLETE :
			conv_DM_HCI_STANDARD_COMMAND_COMPLETE_T((DM_HCI_STANDARD_COMMAND_COMPLETE_T *) prim) ;
			break ;
		case DM_HCI_SET_HC_TO_HOST_FLOW_COMPLETE :
			conv_DM_HCI_STANDARD_COMMAND_COMPLETE_T((DM_HCI_STANDARD_COMMAND_COMPLETE_T *) prim) ;
			break ;
		case DM_HCI_WRITE_PAGE_TO_COMPLETE :
			conv_DM_HCI_STANDARD_COMMAND_COMPLETE_T((DM_HCI_STANDARD_COMMAND_COMPLETE_T *) prim) ;
			break ;
		case DM_HCI_EXIT_PERIODIC_INQUIRY_COMPLETE :
			conv_DM_HCI_STANDARD_COMMAND_COMPLETE_T((DM_HCI_STANDARD_COMMAND_COMPLETE_T *) prim) ;
			break ;
		case DM_HCI_WRITE_PAGESCAN_PERIOD_MODE_COMPLETE :
			conv_DM_HCI_STANDARD_COMMAND_COMPLETE_T((DM_HCI_STANDARD_COMMAND_COMPLETE_T *) prim) ;
			break ;
		case DM_HCI_CHANGE_LOCAL_NAME_COMPLETE :
			conv_DM_HCI_STANDARD_COMMAND_COMPLETE_T((DM_HCI_STANDARD_COMMAND_COMPLETE_T *) prim) ;
			break ;
		case DM_HCI_WRITE_PAGESCAN_MODE_COMPLETE :
			conv_DM_HCI_STANDARD_COMMAND_COMPLETE_T((DM_HCI_STANDARD_COMMAND_COMPLETE_T *) prim) ;
			break ;
		case DM_WRITE_CACHED_PAGE_MODE_CFM :
			conv_DM_HCI_STANDARD_COMMAND_COMPLETE_T((DM_HCI_STANDARD_COMMAND_COMPLETE_T *) prim) ;
			break ;
		case DM_HCI_WRITE_PIN_TYPE_COMPLETE :
			conv_DM_HCI_STANDARD_COMMAND_COMPLETE_T((DM_HCI_STANDARD_COMMAND_COMPLETE_T *) prim) ;
			break ;
		case DM_HCI_RESET_COMPLETE :
			conv_DM_HCI_STANDARD_COMMAND_COMPLETE_T((DM_HCI_STANDARD_COMMAND_COMPLETE_T *) prim) ;
			break ;
		case DM_HCI_CREATE_NEW_UNIT_KEY_COMPLETE :
			conv_DM_HCI_STANDARD_COMMAND_COMPLETE_T((DM_HCI_STANDARD_COMMAND_COMPLETE_T *) prim) ;
			break ;
		case DM_HCI_WRITE_INQUIRYSCAN_ACTIVITY_COMPLETE :
			conv_DM_HCI_STANDARD_COMMAND_COMPLETE_T((DM_HCI_STANDARD_COMMAND_COMPLETE_T *) prim) ;
			break ;
		case DM_HCI_INQUIRY_CANCEL_COMPLETE :
			conv_DM_HCI_STANDARD_COMMAND_COMPLETE_T((DM_HCI_STANDARD_COMMAND_COMPLETE_T *) prim) ;
			break ;
		case DM_HCI_WRITE_VOICE_SETTING_COMPLETE :
			conv_DM_HCI_STANDARD_COMMAND_COMPLETE_T((DM_HCI_STANDARD_COMMAND_COMPLETE_T *) prim) ;
			break ;
		case DM_HCI_WRITE_PAGESCAN_ACTIVITY_COMPLETE :
			conv_DM_HCI_STANDARD_COMMAND_COMPLETE_T((DM_HCI_STANDARD_COMMAND_COMPLETE_T *) prim) ;
			break ;
		case DM_HCI_WRITE_CURRENT_IAC_LAP_COMPLETE :
			conv_DM_HCI_STANDARD_COMMAND_COMPLETE_T((DM_HCI_STANDARD_COMMAND_COMPLETE_T *) prim) ;
			break ;
		case DM_HCI_PERIODIC_INQUIRY_COMPLETE :
			conv_DM_HCI_STANDARD_COMMAND_COMPLETE_T((DM_HCI_STANDARD_COMMAND_COMPLETE_T *) prim) ;
			break ;
		case DM_WRITE_CACHED_CLOCK_OFFSET_CFM :
			conv_DM_HCI_STANDARD_COMMAND_COMPLETE_T((DM_HCI_STANDARD_COMMAND_COMPLETE_T *) prim) ;
			break ;
		case DM_HCI_WRITE_NUM_BCAST_TXS_COMPLETE :
			conv_DM_HCI_STANDARD_COMMAND_COMPLETE_T((DM_HCI_STANDARD_COMMAND_COMPLETE_T *) prim) ;
			break ;
		case DM_HCI_WRITE_CLASS_OF_DEVICE_COMPLETE :
			conv_DM_HCI_STANDARD_COMMAND_COMPLETE_T((DM_HCI_STANDARD_COMMAND_COMPLETE_T *) prim) ;
			break ;
		case DM_HCI_SET_EVENT_FILTER_COMPLETE :
			conv_DM_HCI_STANDARD_COMMAND_COMPLETE_T((DM_HCI_STANDARD_COMMAND_COMPLETE_T *) prim) ;
			break ;
		case DM_HCI_HOST_NUM_COMPLETED_PACKETS_COMPLETE :
			conv_DM_HCI_STANDARD_COMMAND_COMPLETE_T((DM_HCI_STANDARD_COMMAND_COMPLETE_T *) prim) ;
			break ;
		case DM_AM_REGISTER_REQ :
			conv_DM_AM_REGISTER_REQ_T((DM_AM_REGISTER_REQ_T *) prim) ;
			break ;
		case DM_AM_REGISTER_CFM :
			conv_DM_AM_REGISTER_CFM_T((DM_AM_REGISTER_CFM_T *) prim) ;
			break ;
		case DM_ACL_REGISTER_REQ :
			conv_DM_ACL_REGISTER_REQ_T((DM_ACL_REGISTER_REQ_T *) prim) ;
			break ;
		case DM_ACL_REGISTER_CFM :
			conv_DM_ACL_REGISTER_CFM_T((DM_ACL_REGISTER_CFM_T *) prim) ;
			break ;
		case DM_ACL_CONNECT_REQ :
			conv_DM_ACL_CONNECT_REQ_T((DM_ACL_CONNECT_REQ_T *) prim) ;
			break ;
		case DM_ACL_CONNECT_CFM :
			conv_DM_ACL_CONNECT_CFM_T((DM_ACL_CONNECT_CFM_T *) prim) ;
			break ;
		case DM_ACL_CONNECT_IND :
			conv_DM_ACL_CONNECT_IND_T((DM_ACL_CONNECT_IND_T *) prim) ;
			break ;
		case DM_ACL_DISCONNECT_REQ :
			conv_DM_ACL_DISCONNECT_REQ_T((DM_ACL_DISCONNECT_REQ_T *) prim) ;
			break ;
		case DM_ACL_DISCONNECT_IND :
			conv_DM_ACL_DISCONNECT_IND_T((DM_ACL_DISCONNECT_IND_T *) prim) ;
			break ;
		case DM_ACL_BUFFER_SIZE_IND :
			conv_DM_ACL_BUFFER_SIZE_IND_T((DM_ACL_BUFFER_SIZE_IND_T *) prim) ;
			break ;
		case DM_ACL_DATA_SENT_IND :
			conv_DM_ACL_DATA_SENT_IND_T((DM_ACL_DATA_SENT_IND_T *) prim) ;
			break ;
		case DM_CONNECTIONLESS_CH_REG_REQ :
			conv_DM_CONNECTIONLESS_CH_REG_REQ_T((DM_CONNECTIONLESS_CH_REG_REQ_T *) prim) ;
			break ;
		case DM_SCO_INCOMING_REGISTER_REQ :
			conv_DM_SCO_INCOMING_REGISTER_REQ_T((DM_SCO_INCOMING_REGISTER_REQ_T *) prim) ;
			break ;
		case DM_SCO_INCOMING_UNREGISTER_REQ :
			conv_DM_SCO_INCOMING_UNREGISTER_REQ_T((DM_SCO_INCOMING_UNREGISTER_REQ_T *) prim) ;
			break ;
		case DM_SCO_CONNECT_REQ :
			conv_DM_SCO_CONNECT_REQ_T((DM_SCO_CONNECT_REQ_T *) prim) ;
			break ;
		case DM_SCO_CONNECT_CFM :
			conv_DM_SCO_CONNECT_CFM_T((DM_SCO_CONNECT_CFM_T *) prim) ;
			break ;
		case DM_SCO_CONNECT_IND :
			conv_DM_SCO_CONNECT_IND_T((DM_SCO_CONNECT_IND_T *) prim) ;
			break ;
		case DM_SCO_CONNECT_RES :
			conv_DM_SCO_CONNECT_RES_T((DM_SCO_CONNECT_RES_T *) prim) ;
			break ;
		case DM_SCO_DISCONNECT_REQ :
			conv_DM_SCO_DISCONNECT_REQ_T((DM_SCO_DISCONNECT_REQ_T *) prim) ;
			break ;
		case DM_SCO_DISCONNECT_IND :
			conv_DM_SCO_DISCONNECT_IND_T((DM_SCO_DISCONNECT_IND_T *) prim) ;
			break ;
		case DM_SCO_BUFFER_SIZE_IND :
			conv_DM_SCO_BUFFER_SIZE_IND_T((DM_SCO_BUFFER_SIZE_IND_T *) prim) ;
			break ;
		case DM_SCO_DATA_SENT_IND :
			conv_DM_SCO_DATA_SENT_IND_T((DM_SCO_DATA_SENT_IND_T *) prim) ;
			break ;
		case DM_SM_SET_DEFAULT_SECURITY_REQ :
			conv_DM_SM_SET_DEFAULT_SECURITY_REQ_T((DM_SM_SET_DEFAULT_SECURITY_REQ_T *) prim) ;
			break ;
		case DM_SM_REGISTER_REQ :
			conv_DM_SM_REGISTER_REQ_T((DM_SM_REGISTER_REQ_T *) prim) ;
			break ;
		case DM_SM_REGISTER_OUTGOING_REQ :
			conv_DM_SM_REGISTER_OUTGOING_REQ_T((DM_SM_REGISTER_OUTGOING_REQ_T *) prim) ;
			break ;
		case DM_SM_UNREGISTER_REQ :
			conv_DM_SM_UNREGISTER_REQ_T((DM_SM_UNREGISTER_REQ_T *) prim) ;
			break ;
		case DM_SM_UNREGISTER_OUTGOING_REQ :
			conv_DM_SM_UNREGISTER_OUTGOING_REQ_T((DM_SM_UNREGISTER_OUTGOING_REQ_T *) prim) ;
			break ;
		case DM_SM_ACCESS_REQ :
			conv_DM_SM_ACCESS_REQ_T((DM_SM_ACCESS_REQ_T *) prim) ;
			break ;
		case DM_SM_ACCESS_CFM :
			conv_DM_SM_ACCESS_CFM_T((DM_SM_ACCESS_CFM_T *) prim) ;
			break ;
		case DM_SM_SET_SEC_MODE_REQ :
			conv_DM_SM_SET_SEC_MODE_REQ_T((DM_SM_SET_SEC_MODE_REQ_T *) prim) ;
			break ;
		case DM_SM_SET_SEC_MODE_CFM :
			conv_DM_SM_SET_SEC_MODE_CFM_T((DM_SM_SET_SEC_MODE_CFM_T *) prim) ;
			break ;
		case DM_SM_ADD_DEVICE_REQ :
			conv_DM_SM_ADD_DEVICE_REQ_T((DM_SM_ADD_DEVICE_REQ_T *) prim) ;
			break ;
		case DM_SM_ADD_DEVICE_CFM :
			conv_DM_SM_ADD_DEVICE_CFM_T((DM_SM_ADD_DEVICE_CFM_T *) prim) ;
			break ;
		case DM_SM_REMOVE_DEVICE_REQ :
			conv_DM_SM_REMOVE_DEVICE_REQ_T((DM_SM_REMOVE_DEVICE_REQ_T *) prim) ;
			break ;
		case DM_SM_REMOVE_DEVICE_CFM :
			conv_DM_SM_REMOVE_DEVICE_CFM_T((DM_SM_REMOVE_DEVICE_CFM_T *) prim) ;
			break ;
		case DM_SM_LINK_KEY_REQUEST_IND :
			conv_DM_SM_LINK_KEY_REQUEST_IND_T((DM_SM_LINK_KEY_REQUEST_IND_T *) prim) ;
			break ;
		case DM_SM_LINK_KEY_REQUEST_RES :
			conv_DM_SM_LINK_KEY_REQUEST_RES_T((DM_SM_LINK_KEY_REQUEST_RES_T *) prim) ;
			break ;
		case DM_SM_PIN_REQUEST_IND :
			conv_DM_SM_PIN_REQUEST_IND_T((DM_SM_PIN_REQUEST_IND_T *) prim) ;
			break ;
		case DM_SM_PIN_REQUEST_RES :
			conv_DM_SM_PIN_REQUEST_RES_T((DM_SM_PIN_REQUEST_RES_T *) prim) ;
			break ;
		case DM_SM_LINK_KEY_IND :
			conv_DM_SM_LINK_KEY_IND_T((DM_SM_LINK_KEY_IND_T *) prim) ;
			break ;
		case DM_SM_AUTHORISE_IND :
			conv_DM_SM_AUTHORISE_IND_T((DM_SM_AUTHORISE_IND_T *) prim) ;
			break ;
		case DM_SM_AUTHORISE_RES :
			conv_DM_SM_AUTHORISE_RES_T((DM_SM_AUTHORISE_RES_T *) prim) ;
			break ;
		case DM_SM_AUTHENTICATE_REQ :
			conv_DM_SM_AUTHENTICATE_REQ_T((DM_SM_AUTHENTICATE_REQ_T *) prim) ;
			break ;
		case DM_SM_AUTHENTICATE_CFM :
			conv_DM_SM_AUTHENTICATE_CFM_T((DM_SM_AUTHENTICATE_CFM_T *) prim) ;
			break ;
		case DM_SM_ENCRYPT_REQ :
			conv_DM_SM_ENCRYPT_REQ_T((DM_SM_ENCRYPT_REQ_T *) prim) ;
			break ;
		case DM_SM_ENCRYPT_CFM :
			conv_DM_SM_ENCRYPT_CFM_T((DM_SM_ENCRYPT_CFM_T *) prim) ;
			break ;
		case DM_SM_ENCRYPTION_CHANGE :
			conv_DM_SM_ENCRYPTION_CHANGE_T((DM_SM_ENCRYPTION_CHANGE_T *) prim) ;
			break ;
		case DM_SM_L2CAP_REGISTER_REQ :
			conv_DM_SM_L2CAP_REGISTER_REQ_T((DM_SM_L2CAP_REGISTER_REQ_T *) prim) ;
			break ;
		case DM_SM_L2CAP_CLRX_ENABLE_IND :
			conv_DM_SM_L2CAP_CLRX_ENABLE_IND_T((DM_SM_L2CAP_CLRX_ENABLE_IND_T *) prim) ;
			break ;
		case DM_WRITE_CACHED_PAGE_MODE_REQ :
			conv_DM_WRITE_CACHED_PAGE_MODE_REQ_T((DM_WRITE_CACHED_PAGE_MODE_REQ_T *) prim) ;
			break ;
		case DM_WRITE_CACHED_CLOCK_OFFSET_REQ :
			conv_DM_WRITE_CACHED_CLOCK_OFFSET_REQ_T((DM_WRITE_CACHED_CLOCK_OFFSET_REQ_T *) prim) ;
			break ;
		case DM_CLEAR_PARAM_CACHE_REQ :
			conv_DM_CLEAR_PARAM_CACHE_REQ_T((DM_CLEAR_PARAM_CACHE_REQ_T *) prim) ;
			break ;
		case DM_HC_TO_HOST_FLOW_CONTROL :
			conv_DM_HC_TO_HOST_FLOW_CONTROL_T((DM_HC_TO_HOST_FLOW_CONTROL_T *) prim) ;
			break ;
		case DM_ACL_OPEN_REQ :
			conv_DM_ACL_OPEN_REQ_T((DM_ACL_OPEN_REQ_T *) prim) ;
			break ;
		case DM_ACL_OPEN_CFM :
			conv_DM_ACL_OPEN_CFM_T((DM_ACL_OPEN_CFM_T *) prim) ;
			break ;
		case DM_ACL_CLOSE_REQ :
			conv_DM_ACL_CLOSE_REQ_T((DM_ACL_CLOSE_REQ_T *) prim) ;
			break ;
		case DM_ACL_OPENED_IND :
			conv_DM_ACL_OPENED_IND_T((DM_ACL_OPENED_IND_T *) prim) ;
			break ;
		case DM_ACL_CLOSED_IND :
			conv_DM_ACL_CLOSED_IND_T((DM_ACL_CLOSED_IND_T *) prim) ;
			break ;
		case DM_SET_DEFAULT_LINK_POLICY :
			conv_DM_SET_DEFAULT_LINK_POLICY_T((DM_SET_DEFAULT_LINK_POLICY_T *) prim) ;
			break ;
		case DM_HCI_INQUIRY_RESULT :
			conv_DM_HCI_INQUIRY_RESULT_T((DM_HCI_INQUIRY_RESULT_T *) prim) ;
			break ;
		case DM_HCI_INQUIRY_COMPLETE :
			conv_DM_HCI_INQUIRY_COMPLETE_T((DM_HCI_INQUIRY_COMPLETE_T *) prim) ;
			break ;
		case DM_HCI_LINK_KEY_CHANGE_COMPLETE :
			conv_DM_HCI_LINK_KEY_CHANGE_COMPLETE_T((DM_HCI_LINK_KEY_CHANGE_COMPLETE_T *) prim) ;
			break ;
		case DM_HCI_RETURN_LINK_KEYS :
			conv_DM_HCI_RETURN_LINK_KEYS_T((DM_HCI_RETURN_LINK_KEYS_T *) prim) ;
			break ;
		case DM_HCI_MASTER_LINK_KEY_COMPLETE :
			conv_DM_HCI_MASTER_LINK_KEY_COMPLETE_T((DM_HCI_MASTER_LINK_KEY_COMPLETE_T *) prim) ;
			break ;
		case DM_HCI_REMOTE_NAME_COMPLETE :
			conv_DM_HCI_REMOTE_NAME_COMPLETE_T((DM_HCI_REMOTE_NAME_COMPLETE_T *) prim) ;
			break ;
		case DM_HCI_READ_REMOTE_FEATURES_COMPLETE :
			conv_DM_HCI_READ_REMOTE_FEATURES_COMPLETE_T((DM_HCI_READ_REMOTE_FEATURES_COMPLETE_T *) prim) ;
			break ;
		case DM_HCI_READ_REMOTE_VERSION_COMPLETE :
			conv_DM_HCI_READ_REMOTE_VERSION_COMPLETE_T((DM_HCI_READ_REMOTE_VERSION_COMPLETE_T *) prim) ;
			break ;
		case DM_HCI_READ_CLOCK_OFFSET_COMPLETE :
			conv_DM_HCI_READ_CLOCK_OFFSET_COMPLETE_T((DM_HCI_READ_CLOCK_OFFSET_COMPLETE_T *) prim) ;
			break ;
		case DM_HCI_MODE_CHANGE_EVENT :
			conv_DM_HCI_MODE_CHANGE_EVENT_T((DM_HCI_MODE_CHANGE_EVENT_T *) prim) ;
			break ;
		case DM_HCI_QOS_SETUP_CFM :
			conv_DM_HCI_QOS_SETUP_CFM_T((DM_HCI_QOS_SETUP_CFM_T *) prim) ;
			break ;
		case DM_HCI_QOS_VIOLATION_IND :
			conv_DM_HCI_QOS_VIOLATION_IND_T((DM_HCI_QOS_VIOLATION_IND_T *) prim) ;
			break ;
		case DM_HCI_ROLE_DISCOVERY_COMPLETE :
			conv_DM_HCI_ROLE_DISCOVERY_COMPLETE_T((DM_HCI_ROLE_DISCOVERY_COMPLETE_T *) prim) ;
			break ;
		case DM_HCI_SWITCH_ROLE_COMPLETE :
			conv_DM_HCI_SWITCH_ROLE_COMPLETE_T((DM_HCI_SWITCH_ROLE_COMPLETE_T *) prim) ;
			break ;
		case DM_HCI_READ_LP_SETTINGS_COMPLETE :
			conv_DM_HCI_READ_LP_SETTINGS_COMPLETE_T((DM_HCI_READ_LP_SETTINGS_COMPLETE_T *) prim) ;
			break ;
		case DM_HCI_WRITE_LP_SETTINGS :
			conv_DM_HCI_WRITE_LP_SETTINGS_T((DM_HCI_WRITE_LP_SETTINGS_T *) prim) ;
			break ;
		case DM_HCI_WRITE_LP_SETTINGS_COMPLETE :
			conv_DM_HCI_WRITE_LP_SETTINGS_COMPLETE_T((DM_HCI_WRITE_LP_SETTINGS_COMPLETE_T *) prim) ;
			break ;
		case DM_HCI_SET_EVENT_MASK_COMPLETE :
			conv_DM_HCI_SET_EVENT_MASK_COMPLETE_T((DM_HCI_SET_EVENT_MASK_COMPLETE_T *) prim) ;
			break ;
		case DM_HCI_FLUSH_COMPLETE :
			conv_DM_HCI_FLUSH_COMPLETE_T((DM_HCI_FLUSH_COMPLETE_T *) prim) ;
			break ;
		case DM_HCI_READ_PIN_TYPE_COMPLETE :
			conv_DM_HCI_READ_PIN_TYPE_COMPLETE_T((DM_HCI_READ_PIN_TYPE_COMPLETE_T *) prim) ;
			break ;
		case DM_HCI_READ_STORED_LINK_KEY_COMPLETE :
			conv_DM_HCI_READ_STORED_LINK_KEY_COMPLETE_T((DM_HCI_READ_STORED_LINK_KEY_COMPLETE_T *) prim) ;
			break ;
		case DM_HCI_WRITE_STORED_LINK_KEY_COMPLETE :
			conv_DM_HCI_WRITE_STORED_LINK_KEY_COMPLETE_T((DM_HCI_WRITE_STORED_LINK_KEY_COMPLETE_T *) prim) ;
			break ;
		case DM_HCI_DELETE_STORED_LINK_KEY_COMPLETE :
			conv_DM_HCI_DELETE_STORED_LINK_KEY_COMPLETE_T((DM_HCI_DELETE_STORED_LINK_KEY_COMPLETE_T *) prim) ;
			break ;
		case DM_HCI_READ_LOCAL_NAME_COMPLETE :
			conv_DM_HCI_READ_LOCAL_NAME_COMPLETE_T((DM_HCI_READ_LOCAL_NAME_COMPLETE_T *) prim) ;
			break ;
		case DM_HCI_READ_CONN_ACCEPT_TO_COMPLETE :
			conv_DM_HCI_READ_CONN_ACCEPT_TO_COMPLETE_T((DM_HCI_READ_CONN_ACCEPT_TO_COMPLETE_T *) prim) ;
			break ;
		case DM_HCI_READ_PAGE_TO_COMPLETE :
			conv_DM_HCI_READ_PAGE_TO_COMPLETE_T((DM_HCI_READ_PAGE_TO_COMPLETE_T *) prim) ;
			break ;
		case DM_HCI_READ_SCAN_ENABLE_COMPLETE :
			conv_DM_HCI_READ_SCAN_ENABLE_COMPLETE_T((DM_HCI_READ_SCAN_ENABLE_COMPLETE_T *) prim) ;
			break ;
		case DM_HCI_READ_PAGESCAN_ACTIVITY_COMPLETE :
			conv_DM_HCI_READ_PAGESCAN_ACTIVITY_COMPLETE_T((DM_HCI_READ_PAGESCAN_ACTIVITY_COMPLETE_T *) prim) ;
			break ;
		case DM_HCI_READ_INQUIRYSCAN_ACTIVITY_COMPLETE :
			conv_DM_HCI_READ_INQUIRYSCAN_ACTIVITY_COMPLETE_T((DM_HCI_READ_INQUIRYSCAN_ACTIVITY_COMPLETE_T *) prim) ;
			break ;
		case DM_HCI_READ_AUTH_ENABLE_COMPLETE :
			conv_DM_HCI_READ_AUTH_ENABLE_COMPLETE_T((DM_HCI_READ_AUTH_ENABLE_COMPLETE_T *) prim) ;
			break ;
		case DM_HCI_READ_ENCRYPTION_MODE_COMPLETE :
			conv_DM_HCI_READ_ENCRYPTION_MODE_COMPLETE_T((DM_HCI_READ_ENCRYPTION_MODE_COMPLETE_T *) prim) ;
			break ;
		case DM_HCI_READ_CLASS_OF_DEVICE_COMPLETE :
			conv_DM_HCI_READ_CLASS_OF_DEVICE_COMPLETE_T((DM_HCI_READ_CLASS_OF_DEVICE_COMPLETE_T *) prim) ;
			break ;
		case DM_HCI_READ_VOICE_SETTING_COMPLETE :
			conv_DM_HCI_READ_VOICE_SETTING_COMPLETE_T((DM_HCI_READ_VOICE_SETTING_COMPLETE_T *) prim) ;
			break ;
		case DM_HCI_READ_AUTO_FLUSH_TIMEOUT_COMPLETE :
			conv_DM_HCI_READ_AUTO_FLUSH_COMPLETE_T((DM_HCI_READ_AUTO_FLUSH_COMPLETE_T *) prim) ;
			break ;
		case DM_HCI_WRITE_AUTO_FLUSH_TIMEOUT_COMPLETE :
			conv_DM_HCI_WRITE_AUTO_FLUSH_COMPLETE_T((DM_HCI_WRITE_AUTO_FLUSH_COMPLETE_T *) prim) ;
			break ;
		case DM_HCI_READ_NUM_BCAST_TXS_COMPLETE :
			conv_DM_HCI_READ_NUM_BCAST_TXS_COMPLETE_T((DM_HCI_READ_NUM_BCAST_TXS_COMPLETE_T *) prim) ;
			break ;
		case DM_HCI_READ_HOLD_MODE_ACTIVITY_COMPLETE :
			conv_DM_HCI_READ_HOLD_MODE_ACTIVITY_COMPLETE_T((DM_HCI_READ_HOLD_MODE_ACTIVITY_COMPLETE_T *) prim) ;
			break ;
		case DM_HCI_READ_TX_POWER_LEVEL_COMPLETE :
			conv_DM_HCI_READ_TX_POWER_LEVEL_COMPLETE_T((DM_HCI_READ_TX_POWER_LEVEL_COMPLETE_T *) prim) ;
			break ;
		case DM_HCI_READ_LINK_SUPERV_TIMEOUT_COMPLETE :
			conv_DM_HCI_READ_LINK_SUPERV_TIMEOUT_COMPLETE_T((DM_HCI_READ_LINK_SUPERV_TIMEOUT_COMPLETE_T *) prim) ;
			break ;
		case DM_HCI_WRITE_LINK_SUPERV_TIMEOUT_COMPLETE :
			conv_DM_HCI_WRITE_LINK_SUPERV_TIMEOUT_COMPLETE_T((DM_HCI_WRITE_LINK_SUPERV_TIMEOUT_COMPLETE_T *) prim) ;
			break ;
		case DM_HCI_READ_NUM_SUPPORTED_IAC_COMPLETE :
			conv_DM_HCI_READ_NUM_SUPPORTED_IAC_COMPLETE_T((DM_HCI_READ_NUM_SUPPORTED_IAC_COMPLETE_T *) prim) ;
			break ;
		case DM_HCI_READ_CURRENT_IAC_LAP_COMPLETE :
			conv_DM_HCI_READ_CURRENT_IAC_LAP_COMPLETE_T((DM_HCI_READ_CURRENT_IAC_LAP_COMPLETE_T *) prim) ;
			break ;
		case DM_HCI_READ_PAGESCAN_PERIOD_MODE_COMPLETE :
			conv_DM_HCI_READ_PAGESCAN_PERIOD_MODE_COMPLETE_T((DM_HCI_READ_PAGESCAN_PERIOD_MODE_COMPLETE_T *) prim) ;
			break ;
		case DM_HCI_READ_PAGESCAN_MODE_COMPLETE :
			conv_DM_HCI_READ_PAGESCAN_MODE_COMPLETE_T((DM_HCI_READ_PAGESCAN_MODE_COMPLETE_T *) prim) ;
			break ;
		case DM_HCI_HARDWARE_ERROR :
			conv_DM_HCI_HARDWARE_ERROR_T((DM_HCI_HARDWARE_ERROR_T *) prim) ;
			break ;
		case DM_HCI_DATA_BUFFER_OVERFLOW :
			conv_DM_HCI_DATA_BUFFER_OVERFLOW_T((DM_HCI_DATA_BUFFER_OVERFLOW_T *) prim) ;
			break ;
		case DM_HCI_MAX_SLOTS_CHANGE :
			conv_DM_HCI_MAX_SLOTS_CHANGE_T((DM_HCI_MAX_SLOTS_CHANGE_T *) prim) ;
			break ;
		case DM_HCI_READ_LOCAL_VERSION_COMPLETE :
			conv_DM_HCI_READ_LOCAL_VERSION_COMPLETE_T((DM_HCI_READ_LOCAL_VERSION_COMPLETE_T *) prim) ;
			break ;
		case DM_HCI_READ_LOCAL_FEATURES_COMPLETE :
			conv_DM_HCI_READ_LOCAL_FEATURES_COMPLETE_T((DM_HCI_READ_LOCAL_FEATURES_COMPLETE_T *) prim) ;
			break ;
		case DM_HCI_READ_COUNTRY_CODE_COMPLETE :
			conv_DM_HCI_READ_COUNTRY_CODE_COMPLETE_T((DM_HCI_READ_COUNTRY_CODE_COMPLETE_T *) prim) ;
			break ;
		case DM_HCI_READ_BD_ADDR_COMPLETE :
			conv_DM_HCI_READ_BD_ADDR_COMPLETE_T((DM_HCI_READ_BD_ADDR_COMPLETE_T *) prim) ;
			break ;
		case DM_HCI_FAILED_CONTACT_COUNTER_COMPLETE :
			conv_DM_HCI_FAILED_CONTACT_COUNTER_COMPLETE_T((DM_HCI_FAILED_CONTACT_COUNTER_COMPLETE_T *) prim) ;
			break ;
		case DM_HCI_RESET_CONTACT_COUNTER_COMPLETE :
			conv_DM_HCI_RESET_CONTACT_COUNTER_COMPLETE_T((DM_HCI_RESET_CONTACT_COUNTER_COMPLETE_T *) prim) ;
			break ;
		case DM_HCI_GET_LINK_QUALITY_COMPLETE :
			conv_DM_HCI_GET_LINK_QUALITY_COMPLETE_T((DM_HCI_GET_LINK_QUALITY_COMPLETE_T *) prim) ;
			break ;
		case DM_HCI_READ_RSSI_COMPLETE :
			conv_DM_HCI_READ_RSSI_COMPLETE_T((DM_HCI_READ_RSSI_COMPLETE_T *) prim) ;
			break ;
		case DM_HCI_INQUIRY :
			conv_HCI_INQUIRY_T((HCI_INQUIRY_T *) prim) ;
			break ;
		case DM_HCI_INQUIRY_CANCEL :
			conv_HCI_INQUIRY_CANCEL_T((HCI_INQUIRY_CANCEL_T *) prim) ;
			break ;
		case DM_HCI_PERIODIC_INQUIRY :
			conv_HCI_PERIODIC_INQUIRY_MODE_T((HCI_PERIODIC_INQUIRY_MODE_T *) prim) ;
			break ;
		case DM_HCI_EXIT_PERIODIC_INQUIRY :
			conv_HCI_EXIT_PERIODIC_INQUIRY_MODE_T((HCI_EXIT_PERIODIC_INQUIRY_MODE_T *) prim) ;
			break ;
		case DM_HCI_CHANGE_PACKET_TYPE :
			conv_HCI_CHANGE_CONN_PKT_TYPE_T((HCI_CHANGE_CONN_PKT_TYPE_T *) prim) ;
			break ;
		case DM_HCI_CHANGE_LINK_KEY :
			conv_HCI_CHANGE_CONN_LINK_KEY_T((HCI_CHANGE_CONN_LINK_KEY_T *) prim) ;
			break ;
		case DM_HCI_MASTER_LINK_KEY :
			conv_HCI_MASTER_LINK_KEY_T((HCI_MASTER_LINK_KEY_T *) prim) ;
			break ;
		case DM_HCI_REMOTE_NAME_REQUEST :
			conv_HCI_REMOTE_NAME_REQ_T((HCI_REMOTE_NAME_REQ_T *) prim) ;
			break ;
		case DM_HCI_READ_REMOTE_FEATURES :
			conv_HCI_READ_REMOTE_SUPP_FEATURES_T((HCI_READ_REMOTE_SUPP_FEATURES_T *) prim) ;
			break ;
		case DM_HCI_READ_REMOTE_VERSION :
			conv_HCI_READ_REMOTE_VER_INFO_T((HCI_READ_REMOTE_VER_INFO_T *) prim) ;
			break ;
		case DM_HCI_READ_CLOCK_OFFSET :
			conv_HCI_READ_CLOCK_OFFSET_T((HCI_READ_CLOCK_OFFSET_T *) prim) ;
			break ;
		case DM_HCI_HOLD_MODE :
			conv_HCI_HOLD_MODE_T((HCI_HOLD_MODE_T *) prim) ;
			break ;
		case DM_HCI_SNIFF_MODE :
			conv_HCI_SNIFF_MODE_T((HCI_SNIFF_MODE_T *) prim) ;
			break ;
		case DM_HCI_EXIT_SNIFF_MODE :
			conv_HCI_EXIT_SNIFF_MODE_T((HCI_EXIT_SNIFF_MODE_T *) prim) ;
			break ;
		case DM_HCI_PARK_MODE :
			conv_HCI_PARK_MODE_T((HCI_PARK_MODE_T *) prim) ;
			break ;
		case DM_HCI_EXIT_PARK_MODE :
			conv_HCI_EXIT_PARK_MODE_T((HCI_EXIT_PARK_MODE_T *) prim) ;
			break ;
		case DM_HCI_QOS_SETUP_REQ :
			conv_HCI_QOS_SETUP_T((HCI_QOS_SETUP_T *) prim) ;
			break ;
		case DM_HCI_ROLE_DISCOVERY :
			conv_HCI_ROLE_DISCOVERY_T((HCI_ROLE_DISCOVERY_T *) prim) ;
			break ;
		case DM_HCI_SWITCH_ROLE :
			conv_HCI_SWITCH_ROLE_T((HCI_SWITCH_ROLE_T *) prim) ;
			break ;
		case DM_HCI_READ_LP_SETTINGS :
			conv_HCI_READ_LINK_POLICY_SETTINGS_T((HCI_READ_LINK_POLICY_SETTINGS_T *) prim) ;
			break ;
		case DM_HCI_SET_EVENT_MASK :
			conv_HCI_SET_EVENT_MASK_T((HCI_SET_EVENT_MASK_T *) prim) ;
			break ;
		case DM_HCI_RESET :
			conv_HCI_RESET_T((HCI_RESET_T *) prim) ;
			break ;
		case DM_HCI_SET_EVENT_FILTER :
			conv_HCI_SET_EVENT_FILTER_T((HCI_SET_EVENT_FILTER_T *) prim) ;
			break ;
		case DM_HCI_FLUSH :
			conv_HCI_FLUSH_T((HCI_FLUSH_T *) prim) ;
			break ;
		case DM_HCI_READ_PIN_TYPE :
			conv_HCI_READ_PIN_TYPE_T((HCI_READ_PIN_TYPE_T *) prim) ;
			break ;
		case DM_HCI_WRITE_PIN_TYPE :
			conv_HCI_WRITE_PIN_TYPE_T((HCI_WRITE_PIN_TYPE_T *) prim) ;
			break ;
		case DM_HCI_CREATE_NEW_UNIT_KEY :
			conv_HCI_CREATE_NEW_UNIT_KEY_T((HCI_CREATE_NEW_UNIT_KEY_T *) prim) ;
			break ;
		case DM_HCI_READ_STORED_LINK_KEY :
			conv_HCI_READ_STORED_LINK_KEY_T((HCI_READ_STORED_LINK_KEY_T *) prim) ;
			break ;
		case DM_HCI_WRITE_STORED_LINK_KEY :
			conv_HCI_WRITE_STORED_LINK_KEY_T((HCI_WRITE_STORED_LINK_KEY_T *) prim) ;
			break ;
		case DM_HCI_DELETE_STORED_LINK_KEY :
			conv_HCI_DELETE_STORED_LINK_KEY_T((HCI_DELETE_STORED_LINK_KEY_T *) prim) ;
			break ;
		case DM_HCI_CHANGE_LOCAL_NAME :
			conv_HCI_CHANGE_LOCAL_NAME_T((HCI_CHANGE_LOCAL_NAME_T *) prim) ;
			break ;
		case DM_HCI_READ_LOCAL_NAME :
			conv_HCI_READ_LOCAL_NAME_T((HCI_READ_LOCAL_NAME_T *) prim) ;
			break ;
		case DM_HCI_READ_CONN_ACCEPT_TO :
			conv_HCI_READ_CONN_ACCEPT_TIMEOUT_T((HCI_READ_CONN_ACCEPT_TIMEOUT_T *) prim) ;
			break ;
		case DM_HCI_WRITE_CONN_ACCEPT_TO :
			conv_HCI_WRITE_CONN_ACCEPT_TIMEOUT_T((HCI_WRITE_CONN_ACCEPT_TIMEOUT_T *) prim) ;
			break ;
		case DM_HCI_READ_PAGE_TO :
			conv_HCI_READ_PAGE_TIMEOUT_T((HCI_READ_PAGE_TIMEOUT_T *) prim) ;
			break ;
		case DM_HCI_WRITE_PAGE_TO :
			conv_HCI_WRITE_PAGE_TIMEOUT_T((HCI_WRITE_PAGE_TIMEOUT_T *) prim) ;
			break ;
		case DM_HCI_READ_SCAN_ENABLE :
			conv_HCI_READ_SCAN_ENABLE_T((HCI_READ_SCAN_ENABLE_T *) prim) ;
			break ;
		case DM_HCI_WRITE_SCAN_ENABLE :
			conv_HCI_WRITE_SCAN_ENABLE_T((HCI_WRITE_SCAN_ENABLE_T *) prim) ;
			break ;
		case DM_HCI_READ_PAGESCAN_ACTIVITY :
			conv_HCI_READ_PAGESCAN_ACTIVITY_T((HCI_READ_PAGESCAN_ACTIVITY_T *) prim) ;
			break ;
		case DM_HCI_WRITE_PAGESCAN_ACTIVITY :
			conv_HCI_WRITE_PAGESCAN_ACTIVITY_T((HCI_WRITE_PAGESCAN_ACTIVITY_T *) prim) ;
			break ;
		case DM_HCI_READ_INQUIRYSCAN_ACTIVITY :
			conv_HCI_READ_INQUIRYSCAN_ACTIVITY_T((HCI_READ_INQUIRYSCAN_ACTIVITY_T *) prim) ;
			break ;
		case DM_HCI_WRITE_INQUIRYSCAN_ACTIVITY :
			conv_HCI_WRITE_INQUIRYSCAN_ACTIVITY_T((HCI_WRITE_INQUIRYSCAN_ACTIVITY_T *) prim) ;
			break ;
		case DM_HCI_READ_AUTH_ENABLE :
			conv_HCI_READ_AUTH_ENABLE_T((HCI_READ_AUTH_ENABLE_T *) prim) ;
			break ;
		case DM_HCI_READ_ENCRYPTION_MODE :
			conv_HCI_READ_ENC_MODE_T((HCI_READ_ENC_MODE_T *) prim) ;
			break ;
		case DM_HCI_READ_CLASS_OF_DEVICE :
			conv_HCI_READ_CLASS_OF_DEVICE_T((HCI_READ_CLASS_OF_DEVICE_T *) prim) ;
			break ;
		case DM_HCI_WRITE_CLASS_OF_DEVICE :
			conv_HCI_WRITE_CLASS_OF_DEVICE_T((HCI_WRITE_CLASS_OF_DEVICE_T *) prim) ;
			break ;
		case DM_HCI_READ_VOICE_SETTING :
			conv_HCI_READ_VOICE_SETTING_T((HCI_READ_VOICE_SETTING_T *) prim) ;
			break ;
		case DM_HCI_WRITE_VOICE_SETTING :
			conv_HCI_WRITE_VOICE_SETTING_T((HCI_WRITE_VOICE_SETTING_T *) prim) ;
			break ;
		case DM_HCI_READ_AUTO_FLUSH_TIMEOUT :
			conv_HCI_READ_AUTO_FLUSH_TIMEOUT_T((HCI_READ_AUTO_FLUSH_TIMEOUT_T *) prim) ;
			break ;
		case DM_HCI_WRITE_AUTO_FLUSH_TIMEOUT :
			conv_HCI_WRITE_AUTO_FLUSH_TIMEOUT_T((HCI_WRITE_AUTO_FLUSH_TIMEOUT_T *) prim) ;
			break ;
		case DM_HCI_READ_NUM_BCAST_TXS :
			conv_HCI_READ_NUM_BCAST_RETXS_T((HCI_READ_NUM_BCAST_RETXS_T *) prim) ;
			break ;
		case DM_HCI_WRITE_NUM_BCAST_TXS :
			conv_HCI_WRITE_NUM_BCAST_RETXS_T((HCI_WRITE_NUM_BCAST_RETXS_T *) prim) ;
			break ;
		case DM_HCI_READ_HOLD_MODE_ACTIVITY :
			conv_HCI_READ_HOLD_MODE_ACTIVITY_T((HCI_READ_HOLD_MODE_ACTIVITY_T *) prim) ;
			break ;
		case DM_HCI_WRITE_HOLD_MODE_ACTIVITY :
			conv_HCI_WRITE_HOLD_MODE_ACTIVITY_T((HCI_WRITE_HOLD_MODE_ACTIVITY_T *) prim) ;
			break ;
		case DM_HCI_READ_TX_POWER_LEVEL :
			conv_HCI_READ_TX_POWER_LEVEL_T((HCI_READ_TX_POWER_LEVEL_T *) prim) ;
			break ;
		case DM_HCI_READ_SCO_FLOW_CONTROL_ENABLE :
			conv_HCI_READ_SCO_FLOW_CON_ENABLE_T((HCI_READ_SCO_FLOW_CON_ENABLE_T *) prim) ;
			break ;
		case DM_HCI_WRITE_SCO_FLOW_CONTROL_ENABLE :
			conv_HCI_WRITE_SCO_FLOW_CON_ENABLE_T((HCI_WRITE_SCO_FLOW_CON_ENABLE_T *) prim) ;
			break ;
		case DM_HCI_SET_HC_TO_HOST_FLOW :
			conv_HCI_SET_HCTOHOST_FLOW_CONTROL_T((HCI_SET_HCTOHOST_FLOW_CONTROL_T *) prim) ;
			break ;
		case DM_HCI_HOST_NUM_COMPLETED_PACKETS :
			conv_HCI_HOST_NUM_COMPLETED_PACKETS_T((HCI_HOST_NUM_COMPLETED_PACKETS_T *) prim) ;
			break ;
		case DM_HCI_READ_LINK_SUPERV_TIMEOUT :
			conv_HCI_READ_LINK_SUPERV_TIMEOUT_T((HCI_READ_LINK_SUPERV_TIMEOUT_T *) prim) ;
			break ;
		case DM_HCI_WRITE_LINK_SUPERV_TIMEOUT :
			conv_HCI_WRITE_LINK_SUPERV_TIMEOUT_T((HCI_WRITE_LINK_SUPERV_TIMEOUT_T *) prim) ;
			break ;
		case DM_HCI_READ_NUM_SUPPORTED_IAC :
			conv_HCI_READ_NUM_SUPPORTED_IAC_T((HCI_READ_NUM_SUPPORTED_IAC_T *) prim) ;
			break ;
		case DM_HCI_READ_CURRENT_IAC_LAP :
			conv_HCI_READ_CURRENT_IAC_LAP_T((HCI_READ_CURRENT_IAC_LAP_T *) prim) ;
			break ;
		case DM_HCI_WRITE_CURRENT_IAC_LAP :
			conv_HCI_WRITE_CURRENT_IAC_LAP_T((HCI_WRITE_CURRENT_IAC_LAP_T *) prim) ;
			break ;
		case DM_HCI_READ_PAGESCAN_PERIOD_MODE :
			conv_HCI_READ_PAGESCAN_PERIOD_MODE_T((HCI_READ_PAGESCAN_PERIOD_MODE_T *) prim) ;
			break ;
		case DM_HCI_WRITE_PAGESCAN_PERIOD_MODE :
			conv_HCI_WRITE_PAGESCAN_PERIOD_MODE_T((HCI_WRITE_PAGESCAN_PERIOD_MODE_T *) prim) ;
			break ;
		case DM_HCI_READ_PAGESCAN_MODE :
			conv_HCI_READ_PAGESCAN_MODE_T((HCI_READ_PAGESCAN_MODE_T *) prim) ;
			break ;
		case DM_HCI_WRITE_PAGESCAN_MODE :
			conv_HCI_WRITE_PAGESCAN_MODE_T((HCI_WRITE_PAGESCAN_MODE_T *) prim) ;
			break ;
		case DM_HCI_READ_LOCAL_VERSION :
			conv_HCI_READ_LOCAL_VER_INFO_T((HCI_READ_LOCAL_VER_INFO_T *) prim) ;
			break ;
		case DM_HCI_READ_LOCAL_FEATURES :
			conv_HCI_READ_LOCAL_SUPP_FEATURES_T((HCI_READ_LOCAL_SUPP_FEATURES_T *) prim) ;
			break ;
		case DM_HCI_READ_COUNTRY_CODE :
			conv_HCI_READ_COUNTRY_CODE_T((HCI_READ_COUNTRY_CODE_T *) prim) ;
			break ;
		case DM_HCI_READ_BD_ADDR :
			conv_HCI_READ_BD_ADDR_T((HCI_READ_BD_ADDR_T *) prim) ;
			break ;
		case DM_HCI_FAILED_CONTACT_COUNTER :
			conv_HCI_READ_FAILED_CONTACT_COUNT_T((HCI_READ_FAILED_CONTACT_COUNT_T *) prim) ;
			break ;
		case DM_HCI_RESET_CONTACT_COUNTER :
			conv_HCI_RESET_FAILED_CONTACT_COUNT_T((HCI_RESET_FAILED_CONTACT_COUNT_T *) prim) ;
			break ;
		case DM_HCI_GET_LINK_QUALITY :
			conv_HCI_GET_LINK_QUALITY_T((HCI_GET_LINK_QUALITY_T *) prim) ;
			break ;
		case DM_HCI_READ_RSSI :
			conv_HCI_READ_RSSI_T((HCI_READ_RSSI_T *) prim) ;
			break ;
		case DM_HCI_ENABLE_DEVICE_UT_MODE :
			conv_HCI_ENABLE_DUT_MODE_T((HCI_ENABLE_DUT_MODE_T *) prim) ;
			break ;
 
		default : return 0 ;
	}
	return xapPrim ;
}
