#include "inc.h"

void * PrimConverter::conv_RFCOMM_UPRIM_T(uint8_t dir, uint16_t type, void * prim)
{
	prepareConvert((uint8_t*) xapPrim, dir) ;
	
	switch (type)
	{
		case RFC_INIT_REQ :
			conv_RFC_INIT_REQ_T((RFC_INIT_REQ_T *) prim) ;
			break ;
		case RFC_INIT_CFM :
			conv_RFC_INIT_CFM_T((RFC_INIT_CFM_T *) prim) ;
			break ;
		case RFC_REGISTER_REQ :
			conv_RFC_REGISTER_REQ_T((RFC_REGISTER_REQ_T *) prim) ;
			break ;
		case RFC_REGISTER_CFM :
			conv_RFC_REGISTER_CFM_T((RFC_REGISTER_CFM_T *) prim) ;
			break ;
		case RFC_START_REQ :
			conv_RFC_START_REQ_T((RFC_START_REQ_T *) prim) ;
			break ;
		case RFC_START_CFM :
			conv_RFC_START_CFM_T((RFC_START_CFM_T *) prim) ;
			break ;
		case RFC_START_IND :
			conv_RFC_START_IND_T((RFC_START_IND_T *) prim) ;
			break ;
		case RFC_START_RES :
			conv_RFC_START_RES_T((RFC_START_RES_T *) prim) ;
			break ;
		case RFC_STARTCMP_IND :
			conv_RFC_STARTCMP_IND_T((RFC_STARTCMP_IND_T *) prim) ;
			break ;
		case RFC_CLOSE_REQ :
			conv_RFC_CLOSE_REQ_T((RFC_CLOSE_REQ_T *) prim) ;
			break ;
		case RFC_CLOSE_IND :
			conv_RFC_CLOSE_IND_T((RFC_CLOSE_IND_T *) prim) ;
			break ;
		case RFC_PARNEG_REQ :
			conv_RFC_PARNEG_REQ_T((RFC_PARNEG_REQ_T *) prim) ;
			break ;
		case RFC_PARNEG_CFM :
			conv_RFC_PARNEG_CFM_T((RFC_PARNEG_CFM_T *) prim) ;
			break ;
		case RFC_PARNEG_IND :
			conv_RFC_PARNEG_IND_T((RFC_PARNEG_IND_T *) prim) ;
			break ;
		case RFC_PARNEG_RES :
			conv_RFC_PARNEG_RES_T((RFC_PARNEG_RES_T *) prim) ;
			break ;
		case RFC_ESTABLISH_REQ :
			conv_RFC_ESTABLISH_REQ_T((RFC_ESTABLISH_REQ_T *) prim) ;
			break ;
		case RFC_ESTABLISH_CFM :
			conv_RFC_ESTABLISH_CFM_T((RFC_ESTABLISH_CFM_T *) prim) ;
			break ;
		case RFC_ESTABLISH_IND :
			conv_RFC_ESTABLISH_IND_T((RFC_ESTABLISH_IND_T *) prim) ;
			break ;
		case RFC_ESTABLISH_RES :
			conv_RFC_ESTABLISH_RES_T((RFC_ESTABLISH_RES_T *) prim) ;
			break ;
		case RFC_RELEASE_REQ :
			conv_RFC_RELEASE_REQ_T((RFC_RELEASE_REQ_T *) prim) ;
			break ;
		case RFC_RELEASE_IND :
			conv_RFC_RELEASE_IND_T((RFC_RELEASE_IND_T *) prim) ;
			break ;
		case RFC_CONTROL_REQ :
			conv_RFC_CONTROL_REQ_T((RFC_CONTROL_REQ_T *) prim) ;
			break ;
		case RFC_CONTROL_IND :
			conv_RFC_CONTROL_IND_T((RFC_CONTROL_IND_T *) prim) ;
			break ;
		case RFC_PORTNEG_REQ :
			conv_RFC_PORTNEG_REQ_T((RFC_PORTNEG_REQ_T *) prim) ;
			break ;
		case RFC_PORTNEG_CFM :
			conv_RFC_PORTNEG_CFM_T((RFC_PORTNEG_CFM_T *) prim) ;
			break ;
		case RFC_PORTNEG_IND :
			conv_RFC_PORTNEG_IND_T((RFC_PORTNEG_IND_T *) prim) ;
			break ;
		case RFC_PORTNEG_RES :
			conv_RFC_PORTNEG_RES_T((RFC_PORTNEG_RES_T *) prim) ;
			break ;
		case RFC_FCOFF_REQ :
			conv_RFC_FCOFF_REQ_T((RFC_FCOFF_REQ_T *) prim) ;
			break ;
		case RFC_FCOFF_CFM :
			conv_RFC_FCOFF_CFM_T((RFC_FCOFF_CFM_T *) prim) ;
			break ;
		case RFC_FCON_REQ :
			conv_RFC_FCON_REQ_T((RFC_FCON_REQ_T *) prim) ;
			break ;
		case RFC_FCON_CFM :
			conv_RFC_FCON_CFM_T((RFC_FCON_CFM_T *) prim) ;
			break ;
		case RFC_FCOFF_IND :
			conv_RFC_FCOFF_IND_T((RFC_FCOFF_IND_T *) prim) ;
			break ;
		case RFC_FCON_IND :
			conv_RFC_FCON_IND_T((RFC_FCON_IND_T *) prim) ;
			break ;
		case RFC_DATA_REQ :
			conv_RFC_DATA_REQ_T((RFC_DATA_REQ_T *) prim) ;
			break ;
		case RFC_DATAWRITE_REQ :
			conv_RFC_DATAWRITE_REQ_T((RFC_DATAWRITE_REQ_T *) prim) ;
			break ;
		case RFC_DATAWRITE_CFM :
			conv_RFC_DATAWRITE_CFM_T((RFC_DATAWRITE_CFM_T *) prim) ;
			break ;
		case RFC_DATA_IND :
			conv_RFC_DATA_IND_T((RFC_DATA_IND_T *) prim) ;
			break ;
		case RFC_LINESTATUS_REQ :
			conv_RFC_LINESTATUS_REQ_T((RFC_LINESTATUS_REQ_T *) prim) ;
			break ;
		case RFC_LINESTATUS_IND :
			conv_RFC_LINESTATUS_IND_T((RFC_LINESTATUS_IND_T *) prim) ;
			break ;
		case RFC_TEST_REQ :
			conv_RFC_TEST_REQ_T((RFC_TEST_REQ_T *) prim) ;
			break ;
		case RFC_TEST_CFM :
			conv_RFC_TEST_CFM_T((RFC_TEST_CFM_T *) prim) ;
			break ;
		case RFC_NSC_IND :
			conv_RFC_NSC_IND_T((RFC_NSC_IND_T *) prim) ;
			break ;
 
		default : return 0 ;
	}
	return xapPrim ;
}
