#include "inc.h"

void * PrimConverter::conv_SDC_UPRIM_T(uint8_t dir, uint16_t type, void * prim)
{
	prepareConvert((uint8_t*) xapPrim, dir) ;
	
	switch (type)
	{
		case SDC_SERVICE_SEARCH_REQ :
			conv_SDC_SERVICE_SEARCH_REQ_T((SDC_SERVICE_SEARCH_REQ_T *) prim) ;
			break ;
		case SDC_SERVICE_SEARCH_CFM :
			conv_SDC_SERVICE_SEARCH_CFM_T((SDC_SERVICE_SEARCH_CFM_T *) prim) ;
			break ;
		case SDC_SERVICE_ATTRIBUTE_REQ :
			conv_SDC_SERVICE_ATTRIBUTE_REQ_T((SDC_SERVICE_ATTRIBUTE_REQ_T *) prim) ;
			break ;
		case SDC_SERVICE_ATTRIBUTE_CFM :
			conv_SDC_SERVICE_ATTRIBUTE_CFM_T((SDC_SERVICE_ATTRIBUTE_CFM_T *) prim) ;
			break ;
		case SDC_SERVICE_SEARCH_ATTRIBUTE_REQ :
			conv_SDC_SERVICE_SEARCH_ATTRIBUTE_REQ_T((SDC_SERVICE_SEARCH_ATTRIBUTE_REQ_T *) prim) ;
			break ;
		case SDC_SERVICE_SEARCH_ATTRIBUTE_CFM :
			conv_SDC_SERVICE_SEARCH_ATTRIBUTE_CFM_T((SDC_SERVICE_SEARCH_ATTRIBUTE_CFM_T *) prim) ;
			break ;
		case SDC_TERMINATE_PRIMITIVE_REQ :
			conv_SDC_TERMINATE_PRIMITIVE_REQ_T((SDC_TERMINATE_PRIMITIVE_REQ_T *) prim) ;
			break ;
		case SDC_OPEN_SEARCH_REQ :
			conv_SDC_OPEN_SEARCH_REQ_T((SDC_OPEN_SEARCH_REQ_T *) prim) ;
			break ;
		case SDC_OPEN_SEARCH_CFM :
			conv_SDC_OPEN_SEARCH_CFM_T((SDC_OPEN_SEARCH_CFM_T *) prim) ;
			break ;
		case SDC_CLOSE_SEARCH_REQ :
			conv_SDC_CLOSE_SEARCH_REQ_T((SDC_CLOSE_SEARCH_REQ_T *) prim) ;
			break ;
		case SDC_CONFIG_REQ :
			conv_SDC_CONFIG_REQ_T((SDC_CONFIG_REQ_T *) prim) ;
			break ;
		case SDC_CLOSE_SEARCH_IND :
			conv_SDC_CLOSE_SEARCH_IND_T((SDC_CLOSE_SEARCH_IND_T *) prim) ;
			break ;
		case SDS_REGISTER_REQ :
			conv_SDS_REGISTER_REQ_T((SDS_REGISTER_REQ_T *) prim) ;
			break ;
		case SDS_REGISTER_CFM :
			conv_SDS_REGISTER_CFM_T((SDS_REGISTER_CFM_T *) prim) ;
			break ;
		case SDS_UNREGISTER_REQ :
			conv_SDS_UNREGISTER_REQ_T((SDS_UNREGISTER_REQ_T *) prim) ;
			break ;
		case SDS_UNREGISTER_CFM :
			conv_SDS_UNREGISTER_CFM_T((SDS_UNREGISTER_CFM_T *) prim) ;
			break ;
		case SDS_CONFIG_REQ :
			conv_SDS_CONFIG_REQ_T((SDS_CONFIG_REQ_T *) prim) ;
			break ;
 
		default : return 0 ;
	}
	return xapPrim ;
}
