/* H4Linkage.h 
 *
 * provides DLL-Import / DLL-Export for the H4 DLL
 * 
 * MODICICATION HISTORY
 * 
 * 1.1		27:apr:01	ckl		created
 * 
 * CVS ID
 * 
 * 	$Id: //depot/bc/main/devHost/HostStack/H4/generic/H4/H4Linkage.h#5 $
 *
 */


#include "common/linkage.h"

#ifdef _WIN32
#ifndef H4_API
#ifdef  H4_EXPORTS
#define H4_API extern LINKAGE __declspec(dllexport)
#else
#define H4_API extern LINKAGE __declspec(dllimport)
#endif
#endif
#ifdef __cplusplus
#ifndef H4_API_CLASS
#ifdef	H4_EXPORTS
#define H4_API_CLASS __declspec(dllexport)
#else
#define H4_API_CLASS __declspec(dllimport)
#endif
#endif
#endif
#else
#define H4_API extern LINKAGE
#define H4_API_CLASS
#endif
