#include "inc.h"

std::string WinPrimDebug::debug_RFCOMM_UPRIM_T(uint16_t type, void *prim)
{
	std::string monster_buffer;
	monster_buffer.reserve(500);

	ptr_flag = 0;

	switch (type)
	{
		case RFC_INIT_REQ :
			debug_RFC_INIT_REQ_T(0, (void *) prim, monster_buffer) ;
			break ;
		case RFC_INIT_CFM :
			debug_RFC_INIT_CFM_T(0, (void *) prim, monster_buffer) ;
			break ;
		case RFC_REGISTER_REQ :
			debug_RFC_REGISTER_REQ_T(0, (void *) prim, monster_buffer) ;
			break ;
		case RFC_REGISTER_CFM :
			debug_RFC_REGISTER_CFM_T(0, (void *) prim, monster_buffer) ;
			break ;
		case RFC_START_REQ :
			debug_RFC_START_REQ_T(0, (void *) prim, monster_buffer) ;
			break ;
		case RFC_START_CFM :
			debug_RFC_START_CFM_T(0, (void *) prim, monster_buffer) ;
			break ;
		case RFC_START_IND :
			debug_RFC_START_IND_T(0, (void *) prim, monster_buffer) ;
			break ;
		case RFC_START_RES :
			debug_RFC_START_RES_T(0, (void *) prim, monster_buffer) ;
			break ;
		case RFC_STARTCMP_IND :
			debug_RFC_STARTCMP_IND_T(0, (void *) prim, monster_buffer) ;
			break ;
		case RFC_CLOSE_REQ :
			debug_RFC_CLOSE_REQ_T(0, (void *) prim, monster_buffer) ;
			break ;
		case RFC_CLOSE_IND :
			debug_RFC_CLOSE_IND_T(0, (void *) prim, monster_buffer) ;
			break ;
		case RFC_PARNEG_REQ :
			debug_RFC_PARNEG_REQ_T(0, (void *) prim, monster_buffer) ;
			break ;
		case RFC_PARNEG_CFM :
			debug_RFC_PARNEG_CFM_T(0, (void *) prim, monster_buffer) ;
			break ;
		case RFC_PARNEG_IND :
			debug_RFC_PARNEG_IND_T(0, (void *) prim, monster_buffer) ;
			break ;
		case RFC_PARNEG_RES :
			debug_RFC_PARNEG_RES_T(0, (void *) prim, monster_buffer) ;
			break ;
		case RFC_ESTABLISH_REQ :
			debug_RFC_ESTABLISH_REQ_T(0, (void *) prim, monster_buffer) ;
			break ;
		case RFC_ESTABLISH_CFM :
			debug_RFC_ESTABLISH_CFM_T(0, (void *) prim, monster_buffer) ;
			break ;
		case RFC_ESTABLISH_IND :
			debug_RFC_ESTABLISH_IND_T(0, (void *) prim, monster_buffer) ;
			break ;
		case RFC_ESTABLISH_RES :
			debug_RFC_ESTABLISH_RES_T(0, (void *) prim, monster_buffer) ;
			break ;
		case RFC_RELEASE_REQ :
			debug_RFC_RELEASE_REQ_T(0, (void *) prim, monster_buffer) ;
			break ;
		case RFC_RELEASE_IND :
			debug_RFC_RELEASE_IND_T(0, (void *) prim, monster_buffer) ;
			break ;
		case RFC_CONTROL_REQ :
			debug_RFC_CONTROL_REQ_T(0, (void *) prim, monster_buffer) ;
			break ;
		case RFC_CONTROL_IND :
			debug_RFC_CONTROL_IND_T(0, (void *) prim, monster_buffer) ;
			break ;
		case RFC_PORTNEG_REQ :
			debug_RFC_PORTNEG_REQ_T(0, (void *) prim, monster_buffer) ;
			break ;
		case RFC_PORTNEG_CFM :
			debug_RFC_PORTNEG_CFM_T(0, (void *) prim, monster_buffer) ;
			break ;
		case RFC_PORTNEG_IND :
			debug_RFC_PORTNEG_IND_T(0, (void *) prim, monster_buffer) ;
			break ;
		case RFC_PORTNEG_RES :
			debug_RFC_PORTNEG_RES_T(0, (void *) prim, monster_buffer) ;
			break ;
		case RFC_FCOFF_REQ :
			debug_RFC_FCOFF_REQ_T(0, (void *) prim, monster_buffer) ;
			break ;
		case RFC_FCOFF_CFM :
			debug_RFC_FCOFF_CFM_T(0, (void *) prim, monster_buffer) ;
			break ;
		case RFC_FCON_REQ :
			debug_RFC_FCON_REQ_T(0, (void *) prim, monster_buffer) ;
			break ;
		case RFC_FCON_CFM :
			debug_RFC_FCON_CFM_T(0, (void *) prim, monster_buffer) ;
			break ;
		case RFC_FCOFF_IND :
			debug_RFC_FCOFF_IND_T(0, (void *) prim, monster_buffer) ;
			break ;
		case RFC_FCON_IND :
			debug_RFC_FCON_IND_T(0, (void *) prim, monster_buffer) ;
			break ;
		case RFC_DATA_REQ :
			debug_RFC_DATA_REQ_T(0, (void *) prim, monster_buffer) ;
			break ;
		case RFC_DATAWRITE_REQ :
			debug_RFC_DATAWRITE_REQ_T(0, (void *) prim, monster_buffer) ;
			break ;
		case RFC_DATAWRITE_CFM :
			debug_RFC_DATAWRITE_CFM_T(0, (void *) prim, monster_buffer) ;
			break ;
		case RFC_DATA_IND :
			debug_RFC_DATA_IND_T(0, (void *) prim, monster_buffer) ;
			break ;
		case RFC_LINESTATUS_REQ :
			debug_RFC_LINESTATUS_REQ_T(0, (void *) prim, monster_buffer) ;
			break ;
		case RFC_LINESTATUS_IND :
			debug_RFC_LINESTATUS_IND_T(0, (void *) prim, monster_buffer) ;
			break ;
		case RFC_TEST_REQ :
			debug_RFC_TEST_REQ_T(0, (void *) prim, monster_buffer) ;
			break ;
		case RFC_TEST_CFM :
			debug_RFC_TEST_CFM_T(0, (void *) prim, monster_buffer) ;
			break ;
		case RFC_NSC_IND :
			debug_RFC_NSC_IND_T(0, (void *) prim, monster_buffer) ;
			break ;
 
		default : 
			return no_matching_prim(0);
	}
	return monster_buffer;
}
