#include "inc.h"

std::string WinPrimDebug::debug_SDC_UPRIM_T(uint16_t type, void *prim)
{
	std::string monster_buffer;
	monster_buffer.reserve(500);

	ptr_flag = 0;

	switch (type)
	{
		case SDC_SERVICE_SEARCH_REQ :
			debug_SDC_SERVICE_SEARCH_REQ_T(0, (void *) prim, monster_buffer) ;
			break ;
		case SDC_SERVICE_SEARCH_CFM :
			debug_SDC_SERVICE_SEARCH_CFM_T(0, (void *) prim, monster_buffer) ;
			break ;
		case SDC_SERVICE_ATTRIBUTE_REQ :
			debug_SDC_SERVICE_ATTRIBUTE_REQ_T(0, (void *) prim, monster_buffer) ;
			break ;
		case SDC_SERVICE_ATTRIBUTE_CFM :
			debug_SDC_SERVICE_ATTRIBUTE_CFM_T(0, (void *) prim, monster_buffer) ;
			break ;
		case SDC_SERVICE_SEARCH_ATTRIBUTE_REQ :
			debug_SDC_SERVICE_SEARCH_ATTRIBUTE_REQ_T(0, (void *) prim, monster_buffer) ;
			break ;
		case SDC_SERVICE_SEARCH_ATTRIBUTE_CFM :
			debug_SDC_SERVICE_SEARCH_ATTRIBUTE_CFM_T(0, (void *) prim, monster_buffer) ;
			break ;
		case SDC_TERMINATE_PRIMITIVE_REQ :
			debug_SDC_TERMINATE_PRIMITIVE_REQ_T(0, (void *) prim, monster_buffer) ;
			break ;
		case SDC_OPEN_SEARCH_REQ :
			debug_SDC_OPEN_SEARCH_REQ_T(0, (void *) prim, monster_buffer) ;
			break ;
		case SDC_OPEN_SEARCH_CFM :
			debug_SDC_OPEN_SEARCH_CFM_T(0, (void *) prim, monster_buffer) ;
			break ;
		case SDC_CLOSE_SEARCH_REQ :
			debug_SDC_CLOSE_SEARCH_REQ_T(0, (void *) prim, monster_buffer) ;
			break ;
		case SDC_CONFIG_REQ :
			debug_SDC_CONFIG_REQ_T(0, (void *) prim, monster_buffer) ;
			break ;
		case SDC_CLOSE_SEARCH_IND :
			debug_SDC_CLOSE_SEARCH_IND_T(0, (void *) prim, monster_buffer) ;
			break ;
		case SDS_REGISTER_REQ :
			debug_SDS_REGISTER_REQ_T(0, (void *) prim, monster_buffer) ;
			break ;
		case SDS_REGISTER_CFM :
			debug_SDS_REGISTER_CFM_T(0, (void *) prim, monster_buffer) ;
			break ;
		case SDS_UNREGISTER_REQ :
			debug_SDS_UNREGISTER_REQ_T(0, (void *) prim, monster_buffer) ;
			break ;
		case SDS_UNREGISTER_CFM :
			debug_SDS_UNREGISTER_CFM_T(0, (void *) prim, monster_buffer) ;
			break ;
		case SDS_CONFIG_REQ :
			debug_SDS_CONFIG_REQ_T(0, (void *) prim, monster_buffer) ;
			break ;
 
		default : 
			return no_matching_prim(0);
	}
	return monster_buffer;
}
