// Implementation of the mutex abstraction using boost threading library

#include "thread_impl.h"

Mutex::Mutex()
    : impl(new Impl)
{ }

Mutex::~Mutex()
{ delete impl; }

Mutex::Lock::Lock(Mutex &x)
    : impl(new Impl(*x.impl))
{ }

Mutex::Lock::~Lock()
{ delete impl; }

