///////////////////////////////////////////////////////////////////////
//
//  FILE   :  memory_reader.h
//
//            (C) CSR 2004
//
//  AUTHOR :  Chris Lowe
//
//  PURPOSE:  Interface for various memory_reader implementations
//
//  $Id: $
//
///////////////////////////////////////////////////////////////////////

#ifndef ABSTRACT__MEMORY_READER_H_INCLUDED
#define ABSTRACT__MEMORY_READER_H_INCLUDED

#include "common/types.h"

class IMemoryReader
{
public:
	// returns true on success
	virtual bool read_mem(uint16 addr, uint16 len, uint16 * data) = 0;
	enum {
		MAX_BLOCK_SIZE = 64
	};
};

#endif // ABSTRACT__MEMORY_READER_H_INCLUDED