// A simple base class which says "this class can't be copied"
// Just like boost::nocopyable, but boost has problems with WinCE

#ifndef COMMON__NOCOPY_H

#define COMMON__NOCOPY_H

class NoCopy
{
private:
    NoCopy(const NoCopy &);
    const NoCopy &operator=(const NoCopy &);
protected:
    NoCopy() { }
    ~NoCopy() { }
};

#endif
